"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidVPCNetworkStateFault = exports.InvalidCredentialsException = exports.InvalidACLStateFault = exports.InsufficientClusterCapacityFault = exports.CreateClusterResponse = exports.CreateClusterRequest = exports.ClusterQuotaForCustomerExceededFault = exports.ClusterAlreadyExistsFault = exports.UserNotFoundFault = exports.DuplicateUserNameFault = exports.DefaultUserRequired = exports.CreateACLResponse = exports.CreateACLRequest = exports.TagQuotaPerResourceExceeded = exports.SnapshotQuotaExceededFault = exports.SnapshotNotFoundFault = exports.SnapshotAlreadyExistsFault = exports.ServiceLinkedRoleNotFoundFault = exports.InvalidSnapshotStateFault = exports.InvalidParameterCombinationException = exports.CopySnapshotResponse = exports.Snapshot = exports.ClusterConfiguration = exports.ShardDetail = exports.ShardConfiguration = exports.CopySnapshotRequest = exports.Tag = exports.ServiceUpdateNotFoundFault = exports.InvalidParameterValueException = exports.BatchUpdateClusterResponse = exports.UnprocessedCluster = exports.Cluster = exports.Shard = exports.Node = exports.SecurityGroupMembership = exports.ClusterPendingUpdates = exports.PendingModifiedServiceUpdate = exports.ServiceUpdateStatus = exports.ReshardingStatus = exports.SlotMigration = exports.Endpoint = exports.AZStatus = exports.BatchUpdateClusterRequest = exports.ServiceUpdateRequest = exports.ACLsUpdateStatus = exports.ACLQuotaExceededFault = exports.ACLNotFoundFault = exports.ACLAlreadyExistsFault = exports.ACL = exports.ACLPendingChanges = void 0;
exports.DescribeACLsResponse = exports.DescribeACLsRequest = exports.InvalidUserStateFault = exports.DeleteUserResponse = exports.DeleteUserRequest = exports.SubnetGroupInUseFault = exports.DeleteSubnetGroupResponse = exports.DeleteSubnetGroupRequest = exports.DeleteSnapshotResponse = exports.DeleteSnapshotRequest = exports.DeleteParameterGroupResponse = exports.DeleteParameterGroupRequest = exports.DeleteClusterResponse = exports.DeleteClusterRequest = exports.DeleteACLResponse = exports.DeleteACLRequest = exports.UserQuotaExceededFault = exports.UserAlreadyExistsFault = exports.CreateUserResponse = exports.User = exports.Authentication = exports.AuthenticationType = exports.CreateUserRequest = exports.AuthenticationMode = exports.InputAuthenticationType = exports.SubnetQuotaExceededFault = exports.SubnetNotAllowedFault = exports.SubnetGroupQuotaExceededFault = exports.SubnetGroupAlreadyExistsFault = exports.InvalidSubnet = exports.CreateSubnetGroupResponse = exports.SubnetGroup = exports.Subnet = exports.AvailabilityZone = exports.CreateSubnetGroupRequest = exports.InvalidClusterStateFault = exports.CreateSnapshotResponse = exports.CreateSnapshotRequest = exports.ClusterNotFoundFault = exports.ParameterGroupQuotaExceededFault = exports.ParameterGroupAlreadyExistsFault = exports.InvalidParameterGroupStateFault = exports.CreateParameterGroupResponse = exports.ParameterGroup = exports.CreateParameterGroupRequest = exports.SubnetGroupNotFoundFault = exports.ShardsPerClusterQuotaExceededFault = exports.ParameterGroupNotFoundFault = exports.NodeQuotaForCustomerExceededFault = exports.NodeQuotaForClusterExceededFault = void 0;
exports.UpdateClusterRequest = exports.ShardConfigurationRequest = exports.ReplicaConfigurationRequest = exports.NoOperationFault = exports.InvalidNodeStateFault = exports.UpdateACLResponse = exports.UpdateACLRequest = exports.UntagResourceResponse = exports.UntagResourceRequest = exports.TagNotFoundFault = exports.TagResourceResponse = exports.TagResourceRequest = exports.ResetParameterGroupResponse = exports.ResetParameterGroupRequest = exports.ListTagsResponse = exports.ListTagsRequest = exports.InvalidARNFault = exports.ListAllowedNodeTypeUpdatesResponse = exports.ListAllowedNodeTypeUpdatesRequest = exports.TestFailoverNotAvailableFault = exports.ShardNotFoundFault = exports.InvalidKMSKeyFault = exports.FailoverShardResponse = exports.FailoverShardRequest = exports.APICallRateForCustomerExceededFault = exports.DescribeUsersResponse = exports.DescribeUsersRequest = exports.Filter = exports.DescribeSubnetGroupsResponse = exports.DescribeSubnetGroupsRequest = exports.DescribeSnapshotsResponse = exports.DescribeSnapshotsRequest = exports.DescribeServiceUpdatesResponse = exports.ServiceUpdate = exports.ServiceUpdateType = exports.DescribeServiceUpdatesRequest = exports.DescribeParametersResponse = exports.Parameter = exports.DescribeParametersRequest = exports.DescribeParameterGroupsResponse = exports.DescribeParameterGroupsRequest = exports.DescribeEventsResponse = exports.Event = exports.DescribeEventsRequest = exports.SourceType = exports.DescribeEngineVersionsResponse = exports.EngineVersionInfo = exports.DescribeEngineVersionsRequest = exports.DescribeClustersResponse = exports.DescribeClustersRequest = void 0;
exports.UpdateUserResponse = exports.UpdateUserRequest = exports.UpdateSubnetGroupResponse = exports.UpdateSubnetGroupRequest = exports.SubnetInUse = exports.UpdateParameterGroupResponse = exports.UpdateParameterGroupRequest = exports.ParameterNameValue = exports.UpdateClusterResponse = void 0;
const MemoryDBServiceException_1 = require("./MemoryDBServiceException");
var ACLPendingChanges;
(function (ACLPendingChanges) {
    ACLPendingChanges.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ACLPendingChanges = exports.ACLPendingChanges || (exports.ACLPendingChanges = {}));
var ACL;
(function (ACL) {
    ACL.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ACL = exports.ACL || (exports.ACL = {}));
class ACLAlreadyExistsFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ACLAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ACLAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ACLAlreadyExistsFault.prototype);
    }
}
exports.ACLAlreadyExistsFault = ACLAlreadyExistsFault;
class ACLNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ACLNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ACLNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ACLNotFoundFault.prototype);
    }
}
exports.ACLNotFoundFault = ACLNotFoundFault;
class ACLQuotaExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ACLQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ACLQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ACLQuotaExceededFault.prototype);
    }
}
exports.ACLQuotaExceededFault = ACLQuotaExceededFault;
var ACLsUpdateStatus;
(function (ACLsUpdateStatus) {
    ACLsUpdateStatus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ACLsUpdateStatus = exports.ACLsUpdateStatus || (exports.ACLsUpdateStatus = {}));
var ServiceUpdateRequest;
(function (ServiceUpdateRequest) {
    ServiceUpdateRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceUpdateRequest = exports.ServiceUpdateRequest || (exports.ServiceUpdateRequest = {}));
var BatchUpdateClusterRequest;
(function (BatchUpdateClusterRequest) {
    BatchUpdateClusterRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchUpdateClusterRequest = exports.BatchUpdateClusterRequest || (exports.BatchUpdateClusterRequest = {}));
var AZStatus;
(function (AZStatus) {
    AZStatus["MultiAZ"] = "multiaz";
    AZStatus["SingleAZ"] = "singleaz";
})(AZStatus = exports.AZStatus || (exports.AZStatus = {}));
var Endpoint;
(function (Endpoint) {
    Endpoint.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Endpoint = exports.Endpoint || (exports.Endpoint = {}));
var SlotMigration;
(function (SlotMigration) {
    SlotMigration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SlotMigration = exports.SlotMigration || (exports.SlotMigration = {}));
var ReshardingStatus;
(function (ReshardingStatus) {
    ReshardingStatus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ReshardingStatus = exports.ReshardingStatus || (exports.ReshardingStatus = {}));
var ServiceUpdateStatus;
(function (ServiceUpdateStatus) {
    ServiceUpdateStatus["COMPLETE"] = "complete";
    ServiceUpdateStatus["IN_PROGRESS"] = "in-progress";
    ServiceUpdateStatus["NOT_APPLIED"] = "available";
    ServiceUpdateStatus["SCHEDULED"] = "scheduled";
})(ServiceUpdateStatus = exports.ServiceUpdateStatus || (exports.ServiceUpdateStatus = {}));
var PendingModifiedServiceUpdate;
(function (PendingModifiedServiceUpdate) {
    PendingModifiedServiceUpdate.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PendingModifiedServiceUpdate = exports.PendingModifiedServiceUpdate || (exports.PendingModifiedServiceUpdate = {}));
var ClusterPendingUpdates;
(function (ClusterPendingUpdates) {
    ClusterPendingUpdates.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClusterPendingUpdates = exports.ClusterPendingUpdates || (exports.ClusterPendingUpdates = {}));
var SecurityGroupMembership;
(function (SecurityGroupMembership) {
    SecurityGroupMembership.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SecurityGroupMembership = exports.SecurityGroupMembership || (exports.SecurityGroupMembership = {}));
var Node;
(function (Node) {
    Node.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Node = exports.Node || (exports.Node = {}));
var Shard;
(function (Shard) {
    Shard.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Shard = exports.Shard || (exports.Shard = {}));
var Cluster;
(function (Cluster) {
    Cluster.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Cluster = exports.Cluster || (exports.Cluster = {}));
var UnprocessedCluster;
(function (UnprocessedCluster) {
    UnprocessedCluster.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UnprocessedCluster = exports.UnprocessedCluster || (exports.UnprocessedCluster = {}));
var BatchUpdateClusterResponse;
(function (BatchUpdateClusterResponse) {
    BatchUpdateClusterResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchUpdateClusterResponse = exports.BatchUpdateClusterResponse || (exports.BatchUpdateClusterResponse = {}));
class InvalidParameterValueException extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidParameterValueException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterValueException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterValueException.prototype);
    }
}
exports.InvalidParameterValueException = InvalidParameterValueException;
class ServiceUpdateNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ServiceUpdateNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceUpdateNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceUpdateNotFoundFault.prototype);
    }
}
exports.ServiceUpdateNotFoundFault = ServiceUpdateNotFoundFault;
var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Tag = exports.Tag || (exports.Tag = {}));
var CopySnapshotRequest;
(function (CopySnapshotRequest) {
    CopySnapshotRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CopySnapshotRequest = exports.CopySnapshotRequest || (exports.CopySnapshotRequest = {}));
var ShardConfiguration;
(function (ShardConfiguration) {
    ShardConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ShardConfiguration = exports.ShardConfiguration || (exports.ShardConfiguration = {}));
var ShardDetail;
(function (ShardDetail) {
    ShardDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ShardDetail = exports.ShardDetail || (exports.ShardDetail = {}));
var ClusterConfiguration;
(function (ClusterConfiguration) {
    ClusterConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClusterConfiguration = exports.ClusterConfiguration || (exports.ClusterConfiguration = {}));
var Snapshot;
(function (Snapshot) {
    Snapshot.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Snapshot = exports.Snapshot || (exports.Snapshot = {}));
var CopySnapshotResponse;
(function (CopySnapshotResponse) {
    CopySnapshotResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CopySnapshotResponse = exports.CopySnapshotResponse || (exports.CopySnapshotResponse = {}));
class InvalidParameterCombinationException extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidParameterCombinationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterCombinationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterCombinationException.prototype);
    }
}
exports.InvalidParameterCombinationException = InvalidParameterCombinationException;
class InvalidSnapshotStateFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidSnapshotStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSnapshotStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSnapshotStateFault.prototype);
    }
}
exports.InvalidSnapshotStateFault = InvalidSnapshotStateFault;
class ServiceLinkedRoleNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ServiceLinkedRoleNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceLinkedRoleNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceLinkedRoleNotFoundFault.prototype);
    }
}
exports.ServiceLinkedRoleNotFoundFault = ServiceLinkedRoleNotFoundFault;
class SnapshotAlreadyExistsFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SnapshotAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SnapshotAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SnapshotAlreadyExistsFault.prototype);
    }
}
exports.SnapshotAlreadyExistsFault = SnapshotAlreadyExistsFault;
class SnapshotNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SnapshotNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SnapshotNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SnapshotNotFoundFault.prototype);
    }
}
exports.SnapshotNotFoundFault = SnapshotNotFoundFault;
class SnapshotQuotaExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SnapshotQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SnapshotQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SnapshotQuotaExceededFault.prototype);
    }
}
exports.SnapshotQuotaExceededFault = SnapshotQuotaExceededFault;
class TagQuotaPerResourceExceeded extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "TagQuotaPerResourceExceeded",
            $fault: "client",
            ...opts,
        });
        this.name = "TagQuotaPerResourceExceeded";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagQuotaPerResourceExceeded.prototype);
    }
}
exports.TagQuotaPerResourceExceeded = TagQuotaPerResourceExceeded;
var CreateACLRequest;
(function (CreateACLRequest) {
    CreateACLRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateACLRequest = exports.CreateACLRequest || (exports.CreateACLRequest = {}));
var CreateACLResponse;
(function (CreateACLResponse) {
    CreateACLResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateACLResponse = exports.CreateACLResponse || (exports.CreateACLResponse = {}));
class DefaultUserRequired extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "DefaultUserRequired",
            $fault: "client",
            ...opts,
        });
        this.name = "DefaultUserRequired";
        this.$fault = "client";
        Object.setPrototypeOf(this, DefaultUserRequired.prototype);
    }
}
exports.DefaultUserRequired = DefaultUserRequired;
class DuplicateUserNameFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "DuplicateUserNameFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DuplicateUserNameFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DuplicateUserNameFault.prototype);
    }
}
exports.DuplicateUserNameFault = DuplicateUserNameFault;
class UserNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "UserNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "UserNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, UserNotFoundFault.prototype);
    }
}
exports.UserNotFoundFault = UserNotFoundFault;
class ClusterAlreadyExistsFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ClusterAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ClusterAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ClusterAlreadyExistsFault.prototype);
    }
}
exports.ClusterAlreadyExistsFault = ClusterAlreadyExistsFault;
class ClusterQuotaForCustomerExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ClusterQuotaForCustomerExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ClusterQuotaForCustomerExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ClusterQuotaForCustomerExceededFault.prototype);
    }
}
exports.ClusterQuotaForCustomerExceededFault = ClusterQuotaForCustomerExceededFault;
var CreateClusterRequest;
(function (CreateClusterRequest) {
    CreateClusterRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateClusterRequest = exports.CreateClusterRequest || (exports.CreateClusterRequest = {}));
var CreateClusterResponse;
(function (CreateClusterResponse) {
    CreateClusterResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateClusterResponse = exports.CreateClusterResponse || (exports.CreateClusterResponse = {}));
class InsufficientClusterCapacityFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InsufficientClusterCapacityFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InsufficientClusterCapacityFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InsufficientClusterCapacityFault.prototype);
    }
}
exports.InsufficientClusterCapacityFault = InsufficientClusterCapacityFault;
class InvalidACLStateFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidACLStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidACLStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidACLStateFault.prototype);
    }
}
exports.InvalidACLStateFault = InvalidACLStateFault;
class InvalidCredentialsException extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidCredentialsException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidCredentialsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidCredentialsException.prototype);
    }
}
exports.InvalidCredentialsException = InvalidCredentialsException;
class InvalidVPCNetworkStateFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidVPCNetworkStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidVPCNetworkStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidVPCNetworkStateFault.prototype);
    }
}
exports.InvalidVPCNetworkStateFault = InvalidVPCNetworkStateFault;
class NodeQuotaForClusterExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "NodeQuotaForClusterExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "NodeQuotaForClusterExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, NodeQuotaForClusterExceededFault.prototype);
    }
}
exports.NodeQuotaForClusterExceededFault = NodeQuotaForClusterExceededFault;
class NodeQuotaForCustomerExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "NodeQuotaForCustomerExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "NodeQuotaForCustomerExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, NodeQuotaForCustomerExceededFault.prototype);
    }
}
exports.NodeQuotaForCustomerExceededFault = NodeQuotaForCustomerExceededFault;
class ParameterGroupNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ParameterGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ParameterGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ParameterGroupNotFoundFault.prototype);
    }
}
exports.ParameterGroupNotFoundFault = ParameterGroupNotFoundFault;
class ShardsPerClusterQuotaExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ShardsPerClusterQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ShardsPerClusterQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ShardsPerClusterQuotaExceededFault.prototype);
    }
}
exports.ShardsPerClusterQuotaExceededFault = ShardsPerClusterQuotaExceededFault;
class SubnetGroupNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SubnetGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubnetGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubnetGroupNotFoundFault.prototype);
    }
}
exports.SubnetGroupNotFoundFault = SubnetGroupNotFoundFault;
var CreateParameterGroupRequest;
(function (CreateParameterGroupRequest) {
    CreateParameterGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateParameterGroupRequest = exports.CreateParameterGroupRequest || (exports.CreateParameterGroupRequest = {}));
var ParameterGroup;
(function (ParameterGroup) {
    ParameterGroup.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParameterGroup = exports.ParameterGroup || (exports.ParameterGroup = {}));
var CreateParameterGroupResponse;
(function (CreateParameterGroupResponse) {
    CreateParameterGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateParameterGroupResponse = exports.CreateParameterGroupResponse || (exports.CreateParameterGroupResponse = {}));
class InvalidParameterGroupStateFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidParameterGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterGroupStateFault.prototype);
    }
}
exports.InvalidParameterGroupStateFault = InvalidParameterGroupStateFault;
class ParameterGroupAlreadyExistsFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ParameterGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ParameterGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ParameterGroupAlreadyExistsFault.prototype);
    }
}
exports.ParameterGroupAlreadyExistsFault = ParameterGroupAlreadyExistsFault;
class ParameterGroupQuotaExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ParameterGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ParameterGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ParameterGroupQuotaExceededFault.prototype);
    }
}
exports.ParameterGroupQuotaExceededFault = ParameterGroupQuotaExceededFault;
class ClusterNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ClusterNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ClusterNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ClusterNotFoundFault.prototype);
    }
}
exports.ClusterNotFoundFault = ClusterNotFoundFault;
var CreateSnapshotRequest;
(function (CreateSnapshotRequest) {
    CreateSnapshotRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateSnapshotRequest = exports.CreateSnapshotRequest || (exports.CreateSnapshotRequest = {}));
var CreateSnapshotResponse;
(function (CreateSnapshotResponse) {
    CreateSnapshotResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateSnapshotResponse = exports.CreateSnapshotResponse || (exports.CreateSnapshotResponse = {}));
class InvalidClusterStateFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidClusterStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidClusterStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidClusterStateFault.prototype);
    }
}
exports.InvalidClusterStateFault = InvalidClusterStateFault;
var CreateSubnetGroupRequest;
(function (CreateSubnetGroupRequest) {
    CreateSubnetGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateSubnetGroupRequest = exports.CreateSubnetGroupRequest || (exports.CreateSubnetGroupRequest = {}));
var AvailabilityZone;
(function (AvailabilityZone) {
    AvailabilityZone.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AvailabilityZone = exports.AvailabilityZone || (exports.AvailabilityZone = {}));
var Subnet;
(function (Subnet) {
    Subnet.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Subnet = exports.Subnet || (exports.Subnet = {}));
var SubnetGroup;
(function (SubnetGroup) {
    SubnetGroup.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SubnetGroup = exports.SubnetGroup || (exports.SubnetGroup = {}));
var CreateSubnetGroupResponse;
(function (CreateSubnetGroupResponse) {
    CreateSubnetGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateSubnetGroupResponse = exports.CreateSubnetGroupResponse || (exports.CreateSubnetGroupResponse = {}));
class InvalidSubnet extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidSubnet",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSubnet";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSubnet.prototype);
    }
}
exports.InvalidSubnet = InvalidSubnet;
class SubnetGroupAlreadyExistsFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SubnetGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubnetGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubnetGroupAlreadyExistsFault.prototype);
    }
}
exports.SubnetGroupAlreadyExistsFault = SubnetGroupAlreadyExistsFault;
class SubnetGroupQuotaExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SubnetGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubnetGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubnetGroupQuotaExceededFault.prototype);
    }
}
exports.SubnetGroupQuotaExceededFault = SubnetGroupQuotaExceededFault;
class SubnetNotAllowedFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SubnetNotAllowedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubnetNotAllowedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubnetNotAllowedFault.prototype);
    }
}
exports.SubnetNotAllowedFault = SubnetNotAllowedFault;
class SubnetQuotaExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SubnetQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubnetQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubnetQuotaExceededFault.prototype);
    }
}
exports.SubnetQuotaExceededFault = SubnetQuotaExceededFault;
var InputAuthenticationType;
(function (InputAuthenticationType) {
    InputAuthenticationType["PASSWORD"] = "password";
})(InputAuthenticationType = exports.InputAuthenticationType || (exports.InputAuthenticationType = {}));
var AuthenticationMode;
(function (AuthenticationMode) {
    AuthenticationMode.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AuthenticationMode = exports.AuthenticationMode || (exports.AuthenticationMode = {}));
var CreateUserRequest;
(function (CreateUserRequest) {
    CreateUserRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateUserRequest = exports.CreateUserRequest || (exports.CreateUserRequest = {}));
var AuthenticationType;
(function (AuthenticationType) {
    AuthenticationType["NO_PASSWORD"] = "no-password";
    AuthenticationType["PASSWORD"] = "password";
})(AuthenticationType = exports.AuthenticationType || (exports.AuthenticationType = {}));
var Authentication;
(function (Authentication) {
    Authentication.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Authentication = exports.Authentication || (exports.Authentication = {}));
var User;
(function (User) {
    User.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(User = exports.User || (exports.User = {}));
var CreateUserResponse;
(function (CreateUserResponse) {
    CreateUserResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateUserResponse = exports.CreateUserResponse || (exports.CreateUserResponse = {}));
class UserAlreadyExistsFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "UserAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "UserAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, UserAlreadyExistsFault.prototype);
    }
}
exports.UserAlreadyExistsFault = UserAlreadyExistsFault;
class UserQuotaExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "UserQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "UserQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, UserQuotaExceededFault.prototype);
    }
}
exports.UserQuotaExceededFault = UserQuotaExceededFault;
var DeleteACLRequest;
(function (DeleteACLRequest) {
    DeleteACLRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteACLRequest = exports.DeleteACLRequest || (exports.DeleteACLRequest = {}));
var DeleteACLResponse;
(function (DeleteACLResponse) {
    DeleteACLResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteACLResponse = exports.DeleteACLResponse || (exports.DeleteACLResponse = {}));
var DeleteClusterRequest;
(function (DeleteClusterRequest) {
    DeleteClusterRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteClusterRequest = exports.DeleteClusterRequest || (exports.DeleteClusterRequest = {}));
var DeleteClusterResponse;
(function (DeleteClusterResponse) {
    DeleteClusterResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteClusterResponse = exports.DeleteClusterResponse || (exports.DeleteClusterResponse = {}));
var DeleteParameterGroupRequest;
(function (DeleteParameterGroupRequest) {
    DeleteParameterGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteParameterGroupRequest = exports.DeleteParameterGroupRequest || (exports.DeleteParameterGroupRequest = {}));
var DeleteParameterGroupResponse;
(function (DeleteParameterGroupResponse) {
    DeleteParameterGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteParameterGroupResponse = exports.DeleteParameterGroupResponse || (exports.DeleteParameterGroupResponse = {}));
var DeleteSnapshotRequest;
(function (DeleteSnapshotRequest) {
    DeleteSnapshotRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteSnapshotRequest = exports.DeleteSnapshotRequest || (exports.DeleteSnapshotRequest = {}));
var DeleteSnapshotResponse;
(function (DeleteSnapshotResponse) {
    DeleteSnapshotResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteSnapshotResponse = exports.DeleteSnapshotResponse || (exports.DeleteSnapshotResponse = {}));
var DeleteSubnetGroupRequest;
(function (DeleteSubnetGroupRequest) {
    DeleteSubnetGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteSubnetGroupRequest = exports.DeleteSubnetGroupRequest || (exports.DeleteSubnetGroupRequest = {}));
var DeleteSubnetGroupResponse;
(function (DeleteSubnetGroupResponse) {
    DeleteSubnetGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteSubnetGroupResponse = exports.DeleteSubnetGroupResponse || (exports.DeleteSubnetGroupResponse = {}));
class SubnetGroupInUseFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SubnetGroupInUseFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubnetGroupInUseFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubnetGroupInUseFault.prototype);
    }
}
exports.SubnetGroupInUseFault = SubnetGroupInUseFault;
var DeleteUserRequest;
(function (DeleteUserRequest) {
    DeleteUserRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteUserRequest = exports.DeleteUserRequest || (exports.DeleteUserRequest = {}));
var DeleteUserResponse;
(function (DeleteUserResponse) {
    DeleteUserResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteUserResponse = exports.DeleteUserResponse || (exports.DeleteUserResponse = {}));
class InvalidUserStateFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidUserStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidUserStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidUserStateFault.prototype);
    }
}
exports.InvalidUserStateFault = InvalidUserStateFault;
var DescribeACLsRequest;
(function (DescribeACLsRequest) {
    DescribeACLsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeACLsRequest = exports.DescribeACLsRequest || (exports.DescribeACLsRequest = {}));
var DescribeACLsResponse;
(function (DescribeACLsResponse) {
    DescribeACLsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeACLsResponse = exports.DescribeACLsResponse || (exports.DescribeACLsResponse = {}));
var DescribeClustersRequest;
(function (DescribeClustersRequest) {
    DescribeClustersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClustersRequest = exports.DescribeClustersRequest || (exports.DescribeClustersRequest = {}));
var DescribeClustersResponse;
(function (DescribeClustersResponse) {
    DescribeClustersResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeClustersResponse = exports.DescribeClustersResponse || (exports.DescribeClustersResponse = {}));
var DescribeEngineVersionsRequest;
(function (DescribeEngineVersionsRequest) {
    DescribeEngineVersionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEngineVersionsRequest = exports.DescribeEngineVersionsRequest || (exports.DescribeEngineVersionsRequest = {}));
var EngineVersionInfo;
(function (EngineVersionInfo) {
    EngineVersionInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EngineVersionInfo = exports.EngineVersionInfo || (exports.EngineVersionInfo = {}));
var DescribeEngineVersionsResponse;
(function (DescribeEngineVersionsResponse) {
    DescribeEngineVersionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEngineVersionsResponse = exports.DescribeEngineVersionsResponse || (exports.DescribeEngineVersionsResponse = {}));
var SourceType;
(function (SourceType) {
    SourceType["acl"] = "acl";
    SourceType["cluster"] = "cluster";
    SourceType["node"] = "node";
    SourceType["parameter_group"] = "parameter-group";
    SourceType["subnet_group"] = "subnet-group";
    SourceType["user"] = "user";
})(SourceType = exports.SourceType || (exports.SourceType = {}));
var DescribeEventsRequest;
(function (DescribeEventsRequest) {
    DescribeEventsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEventsRequest = exports.DescribeEventsRequest || (exports.DescribeEventsRequest = {}));
var Event;
(function (Event) {
    Event.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Event = exports.Event || (exports.Event = {}));
var DescribeEventsResponse;
(function (DescribeEventsResponse) {
    DescribeEventsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEventsResponse = exports.DescribeEventsResponse || (exports.DescribeEventsResponse = {}));
var DescribeParameterGroupsRequest;
(function (DescribeParameterGroupsRequest) {
    DescribeParameterGroupsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeParameterGroupsRequest = exports.DescribeParameterGroupsRequest || (exports.DescribeParameterGroupsRequest = {}));
var DescribeParameterGroupsResponse;
(function (DescribeParameterGroupsResponse) {
    DescribeParameterGroupsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeParameterGroupsResponse = exports.DescribeParameterGroupsResponse || (exports.DescribeParameterGroupsResponse = {}));
var DescribeParametersRequest;
(function (DescribeParametersRequest) {
    DescribeParametersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeParametersRequest = exports.DescribeParametersRequest || (exports.DescribeParametersRequest = {}));
var Parameter;
(function (Parameter) {
    Parameter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Parameter = exports.Parameter || (exports.Parameter = {}));
var DescribeParametersResponse;
(function (DescribeParametersResponse) {
    DescribeParametersResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeParametersResponse = exports.DescribeParametersResponse || (exports.DescribeParametersResponse = {}));
var DescribeServiceUpdatesRequest;
(function (DescribeServiceUpdatesRequest) {
    DescribeServiceUpdatesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeServiceUpdatesRequest = exports.DescribeServiceUpdatesRequest || (exports.DescribeServiceUpdatesRequest = {}));
var ServiceUpdateType;
(function (ServiceUpdateType) {
    ServiceUpdateType["SECURITY_UPDATE"] = "security-update";
})(ServiceUpdateType = exports.ServiceUpdateType || (exports.ServiceUpdateType = {}));
var ServiceUpdate;
(function (ServiceUpdate) {
    ServiceUpdate.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceUpdate = exports.ServiceUpdate || (exports.ServiceUpdate = {}));
var DescribeServiceUpdatesResponse;
(function (DescribeServiceUpdatesResponse) {
    DescribeServiceUpdatesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeServiceUpdatesResponse = exports.DescribeServiceUpdatesResponse || (exports.DescribeServiceUpdatesResponse = {}));
var DescribeSnapshotsRequest;
(function (DescribeSnapshotsRequest) {
    DescribeSnapshotsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeSnapshotsRequest = exports.DescribeSnapshotsRequest || (exports.DescribeSnapshotsRequest = {}));
var DescribeSnapshotsResponse;
(function (DescribeSnapshotsResponse) {
    DescribeSnapshotsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeSnapshotsResponse = exports.DescribeSnapshotsResponse || (exports.DescribeSnapshotsResponse = {}));
var DescribeSubnetGroupsRequest;
(function (DescribeSubnetGroupsRequest) {
    DescribeSubnetGroupsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeSubnetGroupsRequest = exports.DescribeSubnetGroupsRequest || (exports.DescribeSubnetGroupsRequest = {}));
var DescribeSubnetGroupsResponse;
(function (DescribeSubnetGroupsResponse) {
    DescribeSubnetGroupsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeSubnetGroupsResponse = exports.DescribeSubnetGroupsResponse || (exports.DescribeSubnetGroupsResponse = {}));
var Filter;
(function (Filter) {
    Filter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Filter = exports.Filter || (exports.Filter = {}));
var DescribeUsersRequest;
(function (DescribeUsersRequest) {
    DescribeUsersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeUsersRequest = exports.DescribeUsersRequest || (exports.DescribeUsersRequest = {}));
var DescribeUsersResponse;
(function (DescribeUsersResponse) {
    DescribeUsersResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeUsersResponse = exports.DescribeUsersResponse || (exports.DescribeUsersResponse = {}));
class APICallRateForCustomerExceededFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "APICallRateForCustomerExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "APICallRateForCustomerExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, APICallRateForCustomerExceededFault.prototype);
    }
}
exports.APICallRateForCustomerExceededFault = APICallRateForCustomerExceededFault;
var FailoverShardRequest;
(function (FailoverShardRequest) {
    FailoverShardRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FailoverShardRequest = exports.FailoverShardRequest || (exports.FailoverShardRequest = {}));
var FailoverShardResponse;
(function (FailoverShardResponse) {
    FailoverShardResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FailoverShardResponse = exports.FailoverShardResponse || (exports.FailoverShardResponse = {}));
class InvalidKMSKeyFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidKMSKeyFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidKMSKeyFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidKMSKeyFault.prototype);
    }
}
exports.InvalidKMSKeyFault = InvalidKMSKeyFault;
class ShardNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "ShardNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ShardNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ShardNotFoundFault.prototype);
    }
}
exports.ShardNotFoundFault = ShardNotFoundFault;
class TestFailoverNotAvailableFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "TestFailoverNotAvailableFault",
            $fault: "client",
            ...opts,
        });
        this.name = "TestFailoverNotAvailableFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, TestFailoverNotAvailableFault.prototype);
    }
}
exports.TestFailoverNotAvailableFault = TestFailoverNotAvailableFault;
var ListAllowedNodeTypeUpdatesRequest;
(function (ListAllowedNodeTypeUpdatesRequest) {
    ListAllowedNodeTypeUpdatesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListAllowedNodeTypeUpdatesRequest = exports.ListAllowedNodeTypeUpdatesRequest || (exports.ListAllowedNodeTypeUpdatesRequest = {}));
var ListAllowedNodeTypeUpdatesResponse;
(function (ListAllowedNodeTypeUpdatesResponse) {
    ListAllowedNodeTypeUpdatesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListAllowedNodeTypeUpdatesResponse = exports.ListAllowedNodeTypeUpdatesResponse || (exports.ListAllowedNodeTypeUpdatesResponse = {}));
class InvalidARNFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidARNFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidARNFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidARNFault.prototype);
    }
}
exports.InvalidARNFault = InvalidARNFault;
var ListTagsRequest;
(function (ListTagsRequest) {
    ListTagsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsRequest = exports.ListTagsRequest || (exports.ListTagsRequest = {}));
var ListTagsResponse;
(function (ListTagsResponse) {
    ListTagsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsResponse = exports.ListTagsResponse || (exports.ListTagsResponse = {}));
var ResetParameterGroupRequest;
(function (ResetParameterGroupRequest) {
    ResetParameterGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResetParameterGroupRequest = exports.ResetParameterGroupRequest || (exports.ResetParameterGroupRequest = {}));
var ResetParameterGroupResponse;
(function (ResetParameterGroupResponse) {
    ResetParameterGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResetParameterGroupResponse = exports.ResetParameterGroupResponse || (exports.ResetParameterGroupResponse = {}));
var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceRequest = exports.TagResourceRequest || (exports.TagResourceRequest = {}));
var TagResourceResponse;
(function (TagResourceResponse) {
    TagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceResponse = exports.TagResourceResponse || (exports.TagResourceResponse = {}));
class TagNotFoundFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "TagNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "TagNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagNotFoundFault.prototype);
    }
}
exports.TagNotFoundFault = TagNotFoundFault;
var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceRequest = exports.UntagResourceRequest || (exports.UntagResourceRequest = {}));
var UntagResourceResponse;
(function (UntagResourceResponse) {
    UntagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceResponse = exports.UntagResourceResponse || (exports.UntagResourceResponse = {}));
var UpdateACLRequest;
(function (UpdateACLRequest) {
    UpdateACLRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateACLRequest = exports.UpdateACLRequest || (exports.UpdateACLRequest = {}));
var UpdateACLResponse;
(function (UpdateACLResponse) {
    UpdateACLResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateACLResponse = exports.UpdateACLResponse || (exports.UpdateACLResponse = {}));
class InvalidNodeStateFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "InvalidNodeStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNodeStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNodeStateFault.prototype);
    }
}
exports.InvalidNodeStateFault = InvalidNodeStateFault;
class NoOperationFault extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "NoOperationFault",
            $fault: "client",
            ...opts,
        });
        this.name = "NoOperationFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, NoOperationFault.prototype);
    }
}
exports.NoOperationFault = NoOperationFault;
var ReplicaConfigurationRequest;
(function (ReplicaConfigurationRequest) {
    ReplicaConfigurationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ReplicaConfigurationRequest = exports.ReplicaConfigurationRequest || (exports.ReplicaConfigurationRequest = {}));
var ShardConfigurationRequest;
(function (ShardConfigurationRequest) {
    ShardConfigurationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ShardConfigurationRequest = exports.ShardConfigurationRequest || (exports.ShardConfigurationRequest = {}));
var UpdateClusterRequest;
(function (UpdateClusterRequest) {
    UpdateClusterRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateClusterRequest = exports.UpdateClusterRequest || (exports.UpdateClusterRequest = {}));
var UpdateClusterResponse;
(function (UpdateClusterResponse) {
    UpdateClusterResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateClusterResponse = exports.UpdateClusterResponse || (exports.UpdateClusterResponse = {}));
var ParameterNameValue;
(function (ParameterNameValue) {
    ParameterNameValue.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParameterNameValue = exports.ParameterNameValue || (exports.ParameterNameValue = {}));
var UpdateParameterGroupRequest;
(function (UpdateParameterGroupRequest) {
    UpdateParameterGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateParameterGroupRequest = exports.UpdateParameterGroupRequest || (exports.UpdateParameterGroupRequest = {}));
var UpdateParameterGroupResponse;
(function (UpdateParameterGroupResponse) {
    UpdateParameterGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateParameterGroupResponse = exports.UpdateParameterGroupResponse || (exports.UpdateParameterGroupResponse = {}));
class SubnetInUse extends MemoryDBServiceException_1.MemoryDBServiceException {
    constructor(opts) {
        super({
            name: "SubnetInUse",
            $fault: "client",
            ...opts,
        });
        this.name = "SubnetInUse";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubnetInUse.prototype);
    }
}
exports.SubnetInUse = SubnetInUse;
var UpdateSubnetGroupRequest;
(function (UpdateSubnetGroupRequest) {
    UpdateSubnetGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateSubnetGroupRequest = exports.UpdateSubnetGroupRequest || (exports.UpdateSubnetGroupRequest = {}));
var UpdateSubnetGroupResponse;
(function (UpdateSubnetGroupResponse) {
    UpdateSubnetGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateSubnetGroupResponse = exports.UpdateSubnetGroupResponse || (exports.UpdateSubnetGroupResponse = {}));
var UpdateUserRequest;
(function (UpdateUserRequest) {
    UpdateUserRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateUserRequest = exports.UpdateUserRequest || (exports.UpdateUserRequest = {}));
var UpdateUserResponse;
(function (UpdateUserResponse) {
    UpdateUserResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateUserResponse = exports.UpdateUserResponse || (exports.UpdateUserResponse = {}));
