import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchUpdateClusterRequest, BatchUpdateClusterResponse } from "../models/models_0";
import { deserializeAws_json1_1BatchUpdateClusterCommand, serializeAws_json1_1BatchUpdateClusterCommand, } from "../protocols/Aws_json1_1";
var BatchUpdateClusterCommand = (function (_super) {
    __extends(BatchUpdateClusterCommand, _super);
    function BatchUpdateClusterCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchUpdateClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "BatchUpdateClusterCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchUpdateClusterRequest.filterSensitiveLog,
            outputFilterSensitiveLog: BatchUpdateClusterResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchUpdateClusterCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchUpdateClusterCommand(input, context);
    };
    BatchUpdateClusterCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchUpdateClusterCommand(output, context);
    };
    return BatchUpdateClusterCommand;
}($Command));
export { BatchUpdateClusterCommand };
