import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateACLRequest, CreateACLResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateACLCommand, serializeAws_json1_1CreateACLCommand } from "../protocols/Aws_json1_1";
var CreateACLCommand = (function (_super) {
    __extends(CreateACLCommand, _super);
    function CreateACLCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateACLCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "CreateACLCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateACLRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateACLResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateACLCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateACLCommand(input, context);
    };
    CreateACLCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateACLCommand(output, context);
    };
    return CreateACLCommand;
}($Command));
export { CreateACLCommand };
