import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateSubnetGroupRequest, CreateSubnetGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateSubnetGroupCommand, serializeAws_json1_1CreateSubnetGroupCommand, } from "../protocols/Aws_json1_1";
var CreateSubnetGroupCommand = (function (_super) {
    __extends(CreateSubnetGroupCommand, _super);
    function CreateSubnetGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "CreateSubnetGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateSubnetGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateSubnetGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateSubnetGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateSubnetGroupCommand(input, context);
    };
    CreateSubnetGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateSubnetGroupCommand(output, context);
    };
    return CreateSubnetGroupCommand;
}($Command));
export { CreateSubnetGroupCommand };
