import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteACLRequest, DeleteACLResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteACLCommand, serializeAws_json1_1DeleteACLCommand } from "../protocols/Aws_json1_1";
var DeleteACLCommand = (function (_super) {
    __extends(DeleteACLCommand, _super);
    function DeleteACLCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteACLCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DeleteACLCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteACLRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteACLResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteACLCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteACLCommand(input, context);
    };
    DeleteACLCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteACLCommand(output, context);
    };
    return DeleteACLCommand;
}($Command));
export { DeleteACLCommand };
