import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteParameterGroupRequest, DeleteParameterGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteParameterGroupCommand, serializeAws_json1_1DeleteParameterGroupCommand, } from "../protocols/Aws_json1_1";
var DeleteParameterGroupCommand = (function (_super) {
    __extends(DeleteParameterGroupCommand, _super);
    function DeleteParameterGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DeleteParameterGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteParameterGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteParameterGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteParameterGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteParameterGroupCommand(input, context);
    };
    DeleteParameterGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteParameterGroupCommand(output, context);
    };
    return DeleteParameterGroupCommand;
}($Command));
export { DeleteParameterGroupCommand };
