import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteSnapshotRequest, DeleteSnapshotResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteSnapshotCommand, serializeAws_json1_1DeleteSnapshotCommand, } from "../protocols/Aws_json1_1";
var DeleteSnapshotCommand = (function (_super) {
    __extends(DeleteSnapshotCommand, _super);
    function DeleteSnapshotCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DeleteSnapshotCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteSnapshotRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteSnapshotResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteSnapshotCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteSnapshotCommand(input, context);
    };
    DeleteSnapshotCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteSnapshotCommand(output, context);
    };
    return DeleteSnapshotCommand;
}($Command));
export { DeleteSnapshotCommand };
