import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteSubnetGroupRequest, DeleteSubnetGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteSubnetGroupCommand, serializeAws_json1_1DeleteSubnetGroupCommand, } from "../protocols/Aws_json1_1";
var DeleteSubnetGroupCommand = (function (_super) {
    __extends(DeleteSubnetGroupCommand, _super);
    function DeleteSubnetGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DeleteSubnetGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteSubnetGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteSubnetGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteSubnetGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteSubnetGroupCommand(input, context);
    };
    DeleteSubnetGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteSubnetGroupCommand(output, context);
    };
    return DeleteSubnetGroupCommand;
}($Command));
export { DeleteSubnetGroupCommand };
