import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeEngineVersionsRequest, DescribeEngineVersionsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeEngineVersionsCommand, serializeAws_json1_1DescribeEngineVersionsCommand, } from "../protocols/Aws_json1_1";
var DescribeEngineVersionsCommand = (function (_super) {
    __extends(DescribeEngineVersionsCommand, _super);
    function DescribeEngineVersionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeEngineVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DescribeEngineVersionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeEngineVersionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeEngineVersionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeEngineVersionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeEngineVersionsCommand(input, context);
    };
    DescribeEngineVersionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeEngineVersionsCommand(output, context);
    };
    return DescribeEngineVersionsCommand;
}($Command));
export { DescribeEngineVersionsCommand };
