import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeParameterGroupsRequest, DescribeParameterGroupsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeParameterGroupsCommand, serializeAws_json1_1DescribeParameterGroupsCommand, } from "../protocols/Aws_json1_1";
var DescribeParameterGroupsCommand = (function (_super) {
    __extends(DescribeParameterGroupsCommand, _super);
    function DescribeParameterGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeParameterGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DescribeParameterGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeParameterGroupsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeParameterGroupsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeParameterGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeParameterGroupsCommand(input, context);
    };
    DescribeParameterGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeParameterGroupsCommand(output, context);
    };
    return DescribeParameterGroupsCommand;
}($Command));
export { DescribeParameterGroupsCommand };
