import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeParametersRequest, DescribeParametersResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeParametersCommand, serializeAws_json1_1DescribeParametersCommand, } from "../protocols/Aws_json1_1";
var DescribeParametersCommand = (function (_super) {
    __extends(DescribeParametersCommand, _super);
    function DescribeParametersCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeParametersCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DescribeParametersCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeParametersRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeParametersResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeParametersCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeParametersCommand(input, context);
    };
    DescribeParametersCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeParametersCommand(output, context);
    };
    return DescribeParametersCommand;
}($Command));
export { DescribeParametersCommand };
