import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeServiceUpdatesRequest, DescribeServiceUpdatesResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeServiceUpdatesCommand, serializeAws_json1_1DescribeServiceUpdatesCommand, } from "../protocols/Aws_json1_1";
var DescribeServiceUpdatesCommand = (function (_super) {
    __extends(DescribeServiceUpdatesCommand, _super);
    function DescribeServiceUpdatesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeServiceUpdatesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DescribeServiceUpdatesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeServiceUpdatesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeServiceUpdatesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeServiceUpdatesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeServiceUpdatesCommand(input, context);
    };
    DescribeServiceUpdatesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeServiceUpdatesCommand(output, context);
    };
    return DescribeServiceUpdatesCommand;
}($Command));
export { DescribeServiceUpdatesCommand };
