import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeSubnetGroupsRequest, DescribeSubnetGroupsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeSubnetGroupsCommand, serializeAws_json1_1DescribeSubnetGroupsCommand, } from "../protocols/Aws_json1_1";
var DescribeSubnetGroupsCommand = (function (_super) {
    __extends(DescribeSubnetGroupsCommand, _super);
    function DescribeSubnetGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeSubnetGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "DescribeSubnetGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeSubnetGroupsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeSubnetGroupsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeSubnetGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeSubnetGroupsCommand(input, context);
    };
    DescribeSubnetGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeSubnetGroupsCommand(output, context);
    };
    return DescribeSubnetGroupsCommand;
}($Command));
export { DescribeSubnetGroupsCommand };
