import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { FailoverShardRequest, FailoverShardResponse } from "../models/models_0";
import { deserializeAws_json1_1FailoverShardCommand, serializeAws_json1_1FailoverShardCommand, } from "../protocols/Aws_json1_1";
var FailoverShardCommand = (function (_super) {
    __extends(FailoverShardCommand, _super);
    function FailoverShardCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    FailoverShardCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "FailoverShardCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: FailoverShardRequest.filterSensitiveLog,
            outputFilterSensitiveLog: FailoverShardResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    FailoverShardCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1FailoverShardCommand(input, context);
    };
    FailoverShardCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1FailoverShardCommand(output, context);
    };
    return FailoverShardCommand;
}($Command));
export { FailoverShardCommand };
