import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAllowedNodeTypeUpdatesRequest, ListAllowedNodeTypeUpdatesResponse } from "../models/models_0";
import { deserializeAws_json1_1ListAllowedNodeTypeUpdatesCommand, serializeAws_json1_1ListAllowedNodeTypeUpdatesCommand, } from "../protocols/Aws_json1_1";
var ListAllowedNodeTypeUpdatesCommand = (function (_super) {
    __extends(ListAllowedNodeTypeUpdatesCommand, _super);
    function ListAllowedNodeTypeUpdatesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAllowedNodeTypeUpdatesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "ListAllowedNodeTypeUpdatesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAllowedNodeTypeUpdatesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListAllowedNodeTypeUpdatesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAllowedNodeTypeUpdatesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListAllowedNodeTypeUpdatesCommand(input, context);
    };
    ListAllowedNodeTypeUpdatesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListAllowedNodeTypeUpdatesCommand(output, context);
    };
    return ListAllowedNodeTypeUpdatesCommand;
}($Command));
export { ListAllowedNodeTypeUpdatesCommand };
