import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateParameterGroupRequest, UpdateParameterGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateParameterGroupCommand, serializeAws_json1_1UpdateParameterGroupCommand, } from "../protocols/Aws_json1_1";
var UpdateParameterGroupCommand = (function (_super) {
    __extends(UpdateParameterGroupCommand, _super);
    function UpdateParameterGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "UpdateParameterGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateParameterGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateParameterGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateParameterGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateParameterGroupCommand(input, context);
    };
    UpdateParameterGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateParameterGroupCommand(output, context);
    };
    return UpdateParameterGroupCommand;
}($Command));
export { UpdateParameterGroupCommand };
