import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateSubnetGroupRequest, UpdateSubnetGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateSubnetGroupCommand, serializeAws_json1_1UpdateSubnetGroupCommand, } from "../protocols/Aws_json1_1";
var UpdateSubnetGroupCommand = (function (_super) {
    __extends(UpdateSubnetGroupCommand, _super);
    function UpdateSubnetGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "MemoryDBClient";
        var commandName = "UpdateSubnetGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateSubnetGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateSubnetGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateSubnetGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateSubnetGroupCommand(input, context);
    };
    UpdateSubnetGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateSubnetGroupCommand(output, context);
    };
    return UpdateSubnetGroupCommand;
}($Command));
export { UpdateSubnetGroupCommand };
