import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { BatchUpdateClusterCommandInput, BatchUpdateClusterCommandOutput } from "./commands/BatchUpdateClusterCommand";
import { CopySnapshotCommandInput, CopySnapshotCommandOutput } from "./commands/CopySnapshotCommand";
import { CreateACLCommandInput, CreateACLCommandOutput } from "./commands/CreateACLCommand";
import { CreateClusterCommandInput, CreateClusterCommandOutput } from "./commands/CreateClusterCommand";
import { CreateParameterGroupCommandInput, CreateParameterGroupCommandOutput } from "./commands/CreateParameterGroupCommand";
import { CreateSnapshotCommandInput, CreateSnapshotCommandOutput } from "./commands/CreateSnapshotCommand";
import { CreateSubnetGroupCommandInput, CreateSubnetGroupCommandOutput } from "./commands/CreateSubnetGroupCommand";
import { CreateUserCommandInput, CreateUserCommandOutput } from "./commands/CreateUserCommand";
import { DeleteACLCommandInput, DeleteACLCommandOutput } from "./commands/DeleteACLCommand";
import { DeleteClusterCommandInput, DeleteClusterCommandOutput } from "./commands/DeleteClusterCommand";
import { DeleteParameterGroupCommandInput, DeleteParameterGroupCommandOutput } from "./commands/DeleteParameterGroupCommand";
import { DeleteSnapshotCommandInput, DeleteSnapshotCommandOutput } from "./commands/DeleteSnapshotCommand";
import { DeleteSubnetGroupCommandInput, DeleteSubnetGroupCommandOutput } from "./commands/DeleteSubnetGroupCommand";
import { DeleteUserCommandInput, DeleteUserCommandOutput } from "./commands/DeleteUserCommand";
import { DescribeACLsCommandInput, DescribeACLsCommandOutput } from "./commands/DescribeACLsCommand";
import { DescribeClustersCommandInput, DescribeClustersCommandOutput } from "./commands/DescribeClustersCommand";
import { DescribeEngineVersionsCommandInput, DescribeEngineVersionsCommandOutput } from "./commands/DescribeEngineVersionsCommand";
import { DescribeEventsCommandInput, DescribeEventsCommandOutput } from "./commands/DescribeEventsCommand";
import { DescribeParameterGroupsCommandInput, DescribeParameterGroupsCommandOutput } from "./commands/DescribeParameterGroupsCommand";
import { DescribeParametersCommandInput, DescribeParametersCommandOutput } from "./commands/DescribeParametersCommand";
import { DescribeServiceUpdatesCommandInput, DescribeServiceUpdatesCommandOutput } from "./commands/DescribeServiceUpdatesCommand";
import { DescribeSnapshotsCommandInput, DescribeSnapshotsCommandOutput } from "./commands/DescribeSnapshotsCommand";
import { DescribeSubnetGroupsCommandInput, DescribeSubnetGroupsCommandOutput } from "./commands/DescribeSubnetGroupsCommand";
import { DescribeUsersCommandInput, DescribeUsersCommandOutput } from "./commands/DescribeUsersCommand";
import { FailoverShardCommandInput, FailoverShardCommandOutput } from "./commands/FailoverShardCommand";
import { ListAllowedNodeTypeUpdatesCommandInput, ListAllowedNodeTypeUpdatesCommandOutput } from "./commands/ListAllowedNodeTypeUpdatesCommand";
import { ListTagsCommandInput, ListTagsCommandOutput } from "./commands/ListTagsCommand";
import { ResetParameterGroupCommandInput, ResetParameterGroupCommandOutput } from "./commands/ResetParameterGroupCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateACLCommandInput, UpdateACLCommandOutput } from "./commands/UpdateACLCommand";
import { UpdateClusterCommandInput, UpdateClusterCommandOutput } from "./commands/UpdateClusterCommand";
import { UpdateParameterGroupCommandInput, UpdateParameterGroupCommandOutput } from "./commands/UpdateParameterGroupCommand";
import { UpdateSubnetGroupCommandInput, UpdateSubnetGroupCommandOutput } from "./commands/UpdateSubnetGroupCommand";
import { UpdateUserCommandInput, UpdateUserCommandOutput } from "./commands/UpdateUserCommand";
import { MemoryDBClient } from "./MemoryDBClient";

export declare class MemoryDB extends MemoryDBClient {
    
    batchUpdateCluster(args: BatchUpdateClusterCommandInput, options?: __HttpHandlerOptions): Promise<BatchUpdateClusterCommandOutput>;
    batchUpdateCluster(args: BatchUpdateClusterCommandInput, cb: (err: any, data?: BatchUpdateClusterCommandOutput) => void): void;
    batchUpdateCluster(args: BatchUpdateClusterCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: BatchUpdateClusterCommandOutput) => void): void;
    
    copySnapshot(args: CopySnapshotCommandInput, options?: __HttpHandlerOptions): Promise<CopySnapshotCommandOutput>;
    copySnapshot(args: CopySnapshotCommandInput, cb: (err: any, data?: CopySnapshotCommandOutput) => void): void;
    copySnapshot(args: CopySnapshotCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CopySnapshotCommandOutput) => void): void;
    
    createACL(args: CreateACLCommandInput, options?: __HttpHandlerOptions): Promise<CreateACLCommandOutput>;
    createACL(args: CreateACLCommandInput, cb: (err: any, data?: CreateACLCommandOutput) => void): void;
    createACL(args: CreateACLCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateACLCommandOutput) => void): void;
    
    createCluster(args: CreateClusterCommandInput, options?: __HttpHandlerOptions): Promise<CreateClusterCommandOutput>;
    createCluster(args: CreateClusterCommandInput, cb: (err: any, data?: CreateClusterCommandOutput) => void): void;
    createCluster(args: CreateClusterCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateClusterCommandOutput) => void): void;
    
    createParameterGroup(args: CreateParameterGroupCommandInput, options?: __HttpHandlerOptions): Promise<CreateParameterGroupCommandOutput>;
    createParameterGroup(args: CreateParameterGroupCommandInput, cb: (err: any, data?: CreateParameterGroupCommandOutput) => void): void;
    createParameterGroup(args: CreateParameterGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateParameterGroupCommandOutput) => void): void;
    
    createSnapshot(args: CreateSnapshotCommandInput, options?: __HttpHandlerOptions): Promise<CreateSnapshotCommandOutput>;
    createSnapshot(args: CreateSnapshotCommandInput, cb: (err: any, data?: CreateSnapshotCommandOutput) => void): void;
    createSnapshot(args: CreateSnapshotCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateSnapshotCommandOutput) => void): void;
    
    createSubnetGroup(args: CreateSubnetGroupCommandInput, options?: __HttpHandlerOptions): Promise<CreateSubnetGroupCommandOutput>;
    createSubnetGroup(args: CreateSubnetGroupCommandInput, cb: (err: any, data?: CreateSubnetGroupCommandOutput) => void): void;
    createSubnetGroup(args: CreateSubnetGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateSubnetGroupCommandOutput) => void): void;
    
    createUser(args: CreateUserCommandInput, options?: __HttpHandlerOptions): Promise<CreateUserCommandOutput>;
    createUser(args: CreateUserCommandInput, cb: (err: any, data?: CreateUserCommandOutput) => void): void;
    createUser(args: CreateUserCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateUserCommandOutput) => void): void;
    
    deleteACL(args: DeleteACLCommandInput, options?: __HttpHandlerOptions): Promise<DeleteACLCommandOutput>;
    deleteACL(args: DeleteACLCommandInput, cb: (err: any, data?: DeleteACLCommandOutput) => void): void;
    deleteACL(args: DeleteACLCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteACLCommandOutput) => void): void;
    
    deleteCluster(args: DeleteClusterCommandInput, options?: __HttpHandlerOptions): Promise<DeleteClusterCommandOutput>;
    deleteCluster(args: DeleteClusterCommandInput, cb: (err: any, data?: DeleteClusterCommandOutput) => void): void;
    deleteCluster(args: DeleteClusterCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteClusterCommandOutput) => void): void;
    
    deleteParameterGroup(args: DeleteParameterGroupCommandInput, options?: __HttpHandlerOptions): Promise<DeleteParameterGroupCommandOutput>;
    deleteParameterGroup(args: DeleteParameterGroupCommandInput, cb: (err: any, data?: DeleteParameterGroupCommandOutput) => void): void;
    deleteParameterGroup(args: DeleteParameterGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteParameterGroupCommandOutput) => void): void;
    
    deleteSnapshot(args: DeleteSnapshotCommandInput, options?: __HttpHandlerOptions): Promise<DeleteSnapshotCommandOutput>;
    deleteSnapshot(args: DeleteSnapshotCommandInput, cb: (err: any, data?: DeleteSnapshotCommandOutput) => void): void;
    deleteSnapshot(args: DeleteSnapshotCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteSnapshotCommandOutput) => void): void;
    
    deleteSubnetGroup(args: DeleteSubnetGroupCommandInput, options?: __HttpHandlerOptions): Promise<DeleteSubnetGroupCommandOutput>;
    deleteSubnetGroup(args: DeleteSubnetGroupCommandInput, cb: (err: any, data?: DeleteSubnetGroupCommandOutput) => void): void;
    deleteSubnetGroup(args: DeleteSubnetGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteSubnetGroupCommandOutput) => void): void;
    
    deleteUser(args: DeleteUserCommandInput, options?: __HttpHandlerOptions): Promise<DeleteUserCommandOutput>;
    deleteUser(args: DeleteUserCommandInput, cb: (err: any, data?: DeleteUserCommandOutput) => void): void;
    deleteUser(args: DeleteUserCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteUserCommandOutput) => void): void;
    
    describeACLs(args: DescribeACLsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeACLsCommandOutput>;
    describeACLs(args: DescribeACLsCommandInput, cb: (err: any, data?: DescribeACLsCommandOutput) => void): void;
    describeACLs(args: DescribeACLsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeACLsCommandOutput) => void): void;
    
    describeClusters(args: DescribeClustersCommandInput, options?: __HttpHandlerOptions): Promise<DescribeClustersCommandOutput>;
    describeClusters(args: DescribeClustersCommandInput, cb: (err: any, data?: DescribeClustersCommandOutput) => void): void;
    describeClusters(args: DescribeClustersCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeClustersCommandOutput) => void): void;
    
    describeEngineVersions(args: DescribeEngineVersionsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeEngineVersionsCommandOutput>;
    describeEngineVersions(args: DescribeEngineVersionsCommandInput, cb: (err: any, data?: DescribeEngineVersionsCommandOutput) => void): void;
    describeEngineVersions(args: DescribeEngineVersionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeEngineVersionsCommandOutput) => void): void;
    
    describeEvents(args: DescribeEventsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeEventsCommandOutput>;
    describeEvents(args: DescribeEventsCommandInput, cb: (err: any, data?: DescribeEventsCommandOutput) => void): void;
    describeEvents(args: DescribeEventsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeEventsCommandOutput) => void): void;
    
    describeParameterGroups(args: DescribeParameterGroupsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeParameterGroupsCommandOutput>;
    describeParameterGroups(args: DescribeParameterGroupsCommandInput, cb: (err: any, data?: DescribeParameterGroupsCommandOutput) => void): void;
    describeParameterGroups(args: DescribeParameterGroupsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeParameterGroupsCommandOutput) => void): void;
    
    describeParameters(args: DescribeParametersCommandInput, options?: __HttpHandlerOptions): Promise<DescribeParametersCommandOutput>;
    describeParameters(args: DescribeParametersCommandInput, cb: (err: any, data?: DescribeParametersCommandOutput) => void): void;
    describeParameters(args: DescribeParametersCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeParametersCommandOutput) => void): void;
    
    describeServiceUpdates(args: DescribeServiceUpdatesCommandInput, options?: __HttpHandlerOptions): Promise<DescribeServiceUpdatesCommandOutput>;
    describeServiceUpdates(args: DescribeServiceUpdatesCommandInput, cb: (err: any, data?: DescribeServiceUpdatesCommandOutput) => void): void;
    describeServiceUpdates(args: DescribeServiceUpdatesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeServiceUpdatesCommandOutput) => void): void;
    
    describeSnapshots(args: DescribeSnapshotsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeSnapshotsCommandOutput>;
    describeSnapshots(args: DescribeSnapshotsCommandInput, cb: (err: any, data?: DescribeSnapshotsCommandOutput) => void): void;
    describeSnapshots(args: DescribeSnapshotsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeSnapshotsCommandOutput) => void): void;
    
    describeSubnetGroups(args: DescribeSubnetGroupsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeSubnetGroupsCommandOutput>;
    describeSubnetGroups(args: DescribeSubnetGroupsCommandInput, cb: (err: any, data?: DescribeSubnetGroupsCommandOutput) => void): void;
    describeSubnetGroups(args: DescribeSubnetGroupsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeSubnetGroupsCommandOutput) => void): void;
    
    describeUsers(args: DescribeUsersCommandInput, options?: __HttpHandlerOptions): Promise<DescribeUsersCommandOutput>;
    describeUsers(args: DescribeUsersCommandInput, cb: (err: any, data?: DescribeUsersCommandOutput) => void): void;
    describeUsers(args: DescribeUsersCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeUsersCommandOutput) => void): void;
    
    failoverShard(args: FailoverShardCommandInput, options?: __HttpHandlerOptions): Promise<FailoverShardCommandOutput>;
    failoverShard(args: FailoverShardCommandInput, cb: (err: any, data?: FailoverShardCommandOutput) => void): void;
    failoverShard(args: FailoverShardCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: FailoverShardCommandOutput) => void): void;
    
    listAllowedNodeTypeUpdates(args: ListAllowedNodeTypeUpdatesCommandInput, options?: __HttpHandlerOptions): Promise<ListAllowedNodeTypeUpdatesCommandOutput>;
    listAllowedNodeTypeUpdates(args: ListAllowedNodeTypeUpdatesCommandInput, cb: (err: any, data?: ListAllowedNodeTypeUpdatesCommandOutput) => void): void;
    listAllowedNodeTypeUpdates(args: ListAllowedNodeTypeUpdatesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAllowedNodeTypeUpdatesCommandOutput) => void): void;
    
    listTags(args: ListTagsCommandInput, options?: __HttpHandlerOptions): Promise<ListTagsCommandOutput>;
    listTags(args: ListTagsCommandInput, cb: (err: any, data?: ListTagsCommandOutput) => void): void;
    listTags(args: ListTagsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTagsCommandOutput) => void): void;
    
    resetParameterGroup(args: ResetParameterGroupCommandInput, options?: __HttpHandlerOptions): Promise<ResetParameterGroupCommandOutput>;
    resetParameterGroup(args: ResetParameterGroupCommandInput, cb: (err: any, data?: ResetParameterGroupCommandOutput) => void): void;
    resetParameterGroup(args: ResetParameterGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ResetParameterGroupCommandOutput) => void): void;
    
    tagResource(args: TagResourceCommandInput, options?: __HttpHandlerOptions): Promise<TagResourceCommandOutput>;
    tagResource(args: TagResourceCommandInput, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    tagResource(args: TagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    
    untagResource(args: UntagResourceCommandInput, options?: __HttpHandlerOptions): Promise<UntagResourceCommandOutput>;
    untagResource(args: UntagResourceCommandInput, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    untagResource(args: UntagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    
    updateACL(args: UpdateACLCommandInput, options?: __HttpHandlerOptions): Promise<UpdateACLCommandOutput>;
    updateACL(args: UpdateACLCommandInput, cb: (err: any, data?: UpdateACLCommandOutput) => void): void;
    updateACL(args: UpdateACLCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateACLCommandOutput) => void): void;
    
    updateCluster(args: UpdateClusterCommandInput, options?: __HttpHandlerOptions): Promise<UpdateClusterCommandOutput>;
    updateCluster(args: UpdateClusterCommandInput, cb: (err: any, data?: UpdateClusterCommandOutput) => void): void;
    updateCluster(args: UpdateClusterCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateClusterCommandOutput) => void): void;
    
    updateParameterGroup(args: UpdateParameterGroupCommandInput, options?: __HttpHandlerOptions): Promise<UpdateParameterGroupCommandOutput>;
    updateParameterGroup(args: UpdateParameterGroupCommandInput, cb: (err: any, data?: UpdateParameterGroupCommandOutput) => void): void;
    updateParameterGroup(args: UpdateParameterGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateParameterGroupCommandOutput) => void): void;
    
    updateSubnetGroup(args: UpdateSubnetGroupCommandInput, options?: __HttpHandlerOptions): Promise<UpdateSubnetGroupCommandOutput>;
    updateSubnetGroup(args: UpdateSubnetGroupCommandInput, cb: (err: any, data?: UpdateSubnetGroupCommandOutput) => void): void;
    updateSubnetGroup(args: UpdateSubnetGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateSubnetGroupCommandOutput) => void): void;
    
    updateUser(args: UpdateUserCommandInput, options?: __HttpHandlerOptions): Promise<UpdateUserCommandOutput>;
    updateUser(args: UpdateUserCommandInput, cb: (err: any, data?: UpdateUserCommandOutput) => void): void;
    updateUser(args: UpdateUserCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateUserCommandOutput) => void): void;
}
