import { EndpointsInputConfig, EndpointsResolvedConfig, RegionInputConfig, RegionResolvedConfig } from "@aws-sdk/config-resolver";
import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { RetryInputConfig, RetryResolvedConfig } from "@aws-sdk/middleware-retry";
import { AwsAuthInputConfig, AwsAuthResolvedConfig } from "@aws-sdk/middleware-signing";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { HttpHandler as __HttpHandler } from "@aws-sdk/protocol-http";
import { Client as __Client, DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@aws-sdk/smithy-client";
import { BodyLengthCalculator as __BodyLengthCalculator, Credentials as __Credentials, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, RegionInfoProvider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@aws-sdk/types";
import { BatchUpdateClusterCommandInput, BatchUpdateClusterCommandOutput } from "./commands/BatchUpdateClusterCommand";
import { CopySnapshotCommandInput, CopySnapshotCommandOutput } from "./commands/CopySnapshotCommand";
import { CreateACLCommandInput, CreateACLCommandOutput } from "./commands/CreateACLCommand";
import { CreateClusterCommandInput, CreateClusterCommandOutput } from "./commands/CreateClusterCommand";
import { CreateParameterGroupCommandInput, CreateParameterGroupCommandOutput } from "./commands/CreateParameterGroupCommand";
import { CreateSnapshotCommandInput, CreateSnapshotCommandOutput } from "./commands/CreateSnapshotCommand";
import { CreateSubnetGroupCommandInput, CreateSubnetGroupCommandOutput } from "./commands/CreateSubnetGroupCommand";
import { CreateUserCommandInput, CreateUserCommandOutput } from "./commands/CreateUserCommand";
import { DeleteACLCommandInput, DeleteACLCommandOutput } from "./commands/DeleteACLCommand";
import { DeleteClusterCommandInput, DeleteClusterCommandOutput } from "./commands/DeleteClusterCommand";
import { DeleteParameterGroupCommandInput, DeleteParameterGroupCommandOutput } from "./commands/DeleteParameterGroupCommand";
import { DeleteSnapshotCommandInput, DeleteSnapshotCommandOutput } from "./commands/DeleteSnapshotCommand";
import { DeleteSubnetGroupCommandInput, DeleteSubnetGroupCommandOutput } from "./commands/DeleteSubnetGroupCommand";
import { DeleteUserCommandInput, DeleteUserCommandOutput } from "./commands/DeleteUserCommand";
import { DescribeACLsCommandInput, DescribeACLsCommandOutput } from "./commands/DescribeACLsCommand";
import { DescribeClustersCommandInput, DescribeClustersCommandOutput } from "./commands/DescribeClustersCommand";
import { DescribeEngineVersionsCommandInput, DescribeEngineVersionsCommandOutput } from "./commands/DescribeEngineVersionsCommand";
import { DescribeEventsCommandInput, DescribeEventsCommandOutput } from "./commands/DescribeEventsCommand";
import { DescribeParameterGroupsCommandInput, DescribeParameterGroupsCommandOutput } from "./commands/DescribeParameterGroupsCommand";
import { DescribeParametersCommandInput, DescribeParametersCommandOutput } from "./commands/DescribeParametersCommand";
import { DescribeServiceUpdatesCommandInput, DescribeServiceUpdatesCommandOutput } from "./commands/DescribeServiceUpdatesCommand";
import { DescribeSnapshotsCommandInput, DescribeSnapshotsCommandOutput } from "./commands/DescribeSnapshotsCommand";
import { DescribeSubnetGroupsCommandInput, DescribeSubnetGroupsCommandOutput } from "./commands/DescribeSubnetGroupsCommand";
import { DescribeUsersCommandInput, DescribeUsersCommandOutput } from "./commands/DescribeUsersCommand";
import { FailoverShardCommandInput, FailoverShardCommandOutput } from "./commands/FailoverShardCommand";
import { ListAllowedNodeTypeUpdatesCommandInput, ListAllowedNodeTypeUpdatesCommandOutput } from "./commands/ListAllowedNodeTypeUpdatesCommand";
import { ListTagsCommandInput, ListTagsCommandOutput } from "./commands/ListTagsCommand";
import { ResetParameterGroupCommandInput, ResetParameterGroupCommandOutput } from "./commands/ResetParameterGroupCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateACLCommandInput, UpdateACLCommandOutput } from "./commands/UpdateACLCommand";
import { UpdateClusterCommandInput, UpdateClusterCommandOutput } from "./commands/UpdateClusterCommand";
import { UpdateParameterGroupCommandInput, UpdateParameterGroupCommandOutput } from "./commands/UpdateParameterGroupCommand";
import { UpdateSubnetGroupCommandInput, UpdateSubnetGroupCommandOutput } from "./commands/UpdateSubnetGroupCommand";
import { UpdateUserCommandInput, UpdateUserCommandOutput } from "./commands/UpdateUserCommand";
export declare type ServiceInputTypes = BatchUpdateClusterCommandInput | CopySnapshotCommandInput | CreateACLCommandInput | CreateClusterCommandInput | CreateParameterGroupCommandInput | CreateSnapshotCommandInput | CreateSubnetGroupCommandInput | CreateUserCommandInput | DeleteACLCommandInput | DeleteClusterCommandInput | DeleteParameterGroupCommandInput | DeleteSnapshotCommandInput | DeleteSubnetGroupCommandInput | DeleteUserCommandInput | DescribeACLsCommandInput | DescribeClustersCommandInput | DescribeEngineVersionsCommandInput | DescribeEventsCommandInput | DescribeParameterGroupsCommandInput | DescribeParametersCommandInput | DescribeServiceUpdatesCommandInput | DescribeSnapshotsCommandInput | DescribeSubnetGroupsCommandInput | DescribeUsersCommandInput | FailoverShardCommandInput | ListAllowedNodeTypeUpdatesCommandInput | ListTagsCommandInput | ResetParameterGroupCommandInput | TagResourceCommandInput | UntagResourceCommandInput | UpdateACLCommandInput | UpdateClusterCommandInput | UpdateParameterGroupCommandInput | UpdateSubnetGroupCommandInput | UpdateUserCommandInput;
export declare type ServiceOutputTypes = BatchUpdateClusterCommandOutput | CopySnapshotCommandOutput | CreateACLCommandOutput | CreateClusterCommandOutput | CreateParameterGroupCommandOutput | CreateSnapshotCommandOutput | CreateSubnetGroupCommandOutput | CreateUserCommandOutput | DeleteACLCommandOutput | DeleteClusterCommandOutput | DeleteParameterGroupCommandOutput | DeleteSnapshotCommandOutput | DeleteSubnetGroupCommandOutput | DeleteUserCommandOutput | DescribeACLsCommandOutput | DescribeClustersCommandOutput | DescribeEngineVersionsCommandOutput | DescribeEventsCommandOutput | DescribeParameterGroupsCommandOutput | DescribeParametersCommandOutput | DescribeServiceUpdatesCommandOutput | DescribeSnapshotsCommandOutput | DescribeSubnetGroupsCommandOutput | DescribeUsersCommandOutput | FailoverShardCommandOutput | ListAllowedNodeTypeUpdatesCommandOutput | ListTagsCommandOutput | ResetParameterGroupCommandOutput | TagResourceCommandOutput | UntagResourceCommandOutput | UpdateACLCommandOutput | UpdateClusterCommandOutput | UpdateParameterGroupCommandOutput | UpdateSubnetGroupCommandOutput | UpdateUserCommandOutput;
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    
    requestHandler?: __HttpHandler;
    
    sha256?: __HashConstructor;
    
    urlParser?: __UrlParser;
    
    bodyLengthChecker?: __BodyLengthCalculator;
    
    streamCollector?: __StreamCollector;
    
    base64Decoder?: __Decoder;
    
    base64Encoder?: __Encoder;
    
    utf8Decoder?: __Decoder;
    
    utf8Encoder?: __Encoder;
    
    runtime?: string;
    
    disableHostPrefix?: boolean;
    
    maxAttempts?: number | __Provider<number>;
    
    retryMode?: string | __Provider<string>;
    
    logger?: __Logger;
    
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    
    useFipsEndpoint?: boolean | __Provider<boolean>;
    
    serviceId?: string;
    
    region?: string | __Provider<string>;
    
    credentialDefaultProvider?: (input: any) => __Provider<__Credentials>;
    
    regionInfoProvider?: RegionInfoProvider;
    
    defaultUserAgentProvider?: Provider<__UserAgent>;
    
    defaultsMode?: DefaultsMode | Provider<DefaultsMode>;
}
declare type MemoryDBClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointsInputConfig & RetryInputConfig & HostHeaderInputConfig & AwsAuthInputConfig & UserAgentInputConfig;

export interface MemoryDBClientConfig extends MemoryDBClientConfigType {
}
declare type MemoryDBClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RegionResolvedConfig & EndpointsResolvedConfig & RetryResolvedConfig & HostHeaderResolvedConfig & AwsAuthResolvedConfig & UserAgentResolvedConfig;

export interface MemoryDBClientResolvedConfig extends MemoryDBClientResolvedConfigType {
}

export declare class MemoryDBClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, MemoryDBClientResolvedConfig> {
    
    readonly config: MemoryDBClientResolvedConfig;
    constructor(configuration: MemoryDBClientConfig);
    
    destroy(): void;
}
export {};
