import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { BatchUpdateClusterRequest, BatchUpdateClusterResponse } from "../models/models_0";
export interface BatchUpdateClusterCommandInput extends BatchUpdateClusterRequest {
}
export interface BatchUpdateClusterCommandOutput extends BatchUpdateClusterResponse, __MetadataBearer {
}

export declare class BatchUpdateClusterCommand extends $Command<BatchUpdateClusterCommandInput, BatchUpdateClusterCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: BatchUpdateClusterCommandInput;
    constructor(input: BatchUpdateClusterCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchUpdateClusterCommandInput, BatchUpdateClusterCommandOutput>;
    private serialize;
    private deserialize;
}
