import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { CreateACLRequest, CreateACLResponse } from "../models/models_0";
export interface CreateACLCommandInput extends CreateACLRequest {
}
export interface CreateACLCommandOutput extends CreateACLResponse, __MetadataBearer {
}

export declare class CreateACLCommand extends $Command<CreateACLCommandInput, CreateACLCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: CreateACLCommandInput;
    constructor(input: CreateACLCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateACLCommandInput, CreateACLCommandOutput>;
    private serialize;
    private deserialize;
}
