import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { DeleteACLRequest, DeleteACLResponse } from "../models/models_0";
export interface DeleteACLCommandInput extends DeleteACLRequest {
}
export interface DeleteACLCommandOutput extends DeleteACLResponse, __MetadataBearer {
}

export declare class DeleteACLCommand extends $Command<DeleteACLCommandInput, DeleteACLCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: DeleteACLCommandInput;
    constructor(input: DeleteACLCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteACLCommandInput, DeleteACLCommandOutput>;
    private serialize;
    private deserialize;
}
