import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { DeleteSubnetGroupRequest, DeleteSubnetGroupResponse } from "../models/models_0";
export interface DeleteSubnetGroupCommandInput extends DeleteSubnetGroupRequest {
}
export interface DeleteSubnetGroupCommandOutput extends DeleteSubnetGroupResponse, __MetadataBearer {
}

export declare class DeleteSubnetGroupCommand extends $Command<DeleteSubnetGroupCommandInput, DeleteSubnetGroupCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: DeleteSubnetGroupCommandInput;
    constructor(input: DeleteSubnetGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteSubnetGroupCommandInput, DeleteSubnetGroupCommandOutput>;
    private serialize;
    private deserialize;
}
