import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { DescribeACLsRequest, DescribeACLsResponse } from "../models/models_0";
export interface DescribeACLsCommandInput extends DescribeACLsRequest {
}
export interface DescribeACLsCommandOutput extends DescribeACLsResponse, __MetadataBearer {
}

export declare class DescribeACLsCommand extends $Command<DescribeACLsCommandInput, DescribeACLsCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: DescribeACLsCommandInput;
    constructor(input: DescribeACLsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeACLsCommandInput, DescribeACLsCommandOutput>;
    private serialize;
    private deserialize;
}
