import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { DescribeEngineVersionsRequest, DescribeEngineVersionsResponse } from "../models/models_0";
export interface DescribeEngineVersionsCommandInput extends DescribeEngineVersionsRequest {
}
export interface DescribeEngineVersionsCommandOutput extends DescribeEngineVersionsResponse, __MetadataBearer {
}

export declare class DescribeEngineVersionsCommand extends $Command<DescribeEngineVersionsCommandInput, DescribeEngineVersionsCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: DescribeEngineVersionsCommandInput;
    constructor(input: DescribeEngineVersionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeEngineVersionsCommandInput, DescribeEngineVersionsCommandOutput>;
    private serialize;
    private deserialize;
}
