import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { DescribeUsersRequest, DescribeUsersResponse } from "../models/models_0";
export interface DescribeUsersCommandInput extends DescribeUsersRequest {
}
export interface DescribeUsersCommandOutput extends DescribeUsersResponse, __MetadataBearer {
}

export declare class DescribeUsersCommand extends $Command<DescribeUsersCommandInput, DescribeUsersCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: DescribeUsersCommandInput;
    constructor(input: DescribeUsersCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeUsersCommandInput, DescribeUsersCommandOutput>;
    private serialize;
    private deserialize;
}
