import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { FailoverShardRequest, FailoverShardResponse } from "../models/models_0";
export interface FailoverShardCommandInput extends FailoverShardRequest {
}
export interface FailoverShardCommandOutput extends FailoverShardResponse, __MetadataBearer {
}

export declare class FailoverShardCommand extends $Command<FailoverShardCommandInput, FailoverShardCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: FailoverShardCommandInput;
    constructor(input: FailoverShardCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<FailoverShardCommandInput, FailoverShardCommandOutput>;
    private serialize;
    private deserialize;
}
