import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { ResetParameterGroupRequest, ResetParameterGroupResponse } from "../models/models_0";
export interface ResetParameterGroupCommandInput extends ResetParameterGroupRequest {
}
export interface ResetParameterGroupCommandOutput extends ResetParameterGroupResponse, __MetadataBearer {
}

export declare class ResetParameterGroupCommand extends $Command<ResetParameterGroupCommandInput, ResetParameterGroupCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: ResetParameterGroupCommandInput;
    constructor(input: ResetParameterGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ResetParameterGroupCommandInput, ResetParameterGroupCommandOutput>;
    private serialize;
    private deserialize;
}
