import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { UpdateACLRequest, UpdateACLResponse } from "../models/models_0";
export interface UpdateACLCommandInput extends UpdateACLRequest {
}
export interface UpdateACLCommandOutput extends UpdateACLResponse, __MetadataBearer {
}

export declare class UpdateACLCommand extends $Command<UpdateACLCommandInput, UpdateACLCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: UpdateACLCommandInput;
    constructor(input: UpdateACLCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateACLCommandInput, UpdateACLCommandOutput>;
    private serialize;
    private deserialize;
}
