import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { MemoryDBClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../MemoryDBClient";
import { UpdateSubnetGroupRequest, UpdateSubnetGroupResponse } from "../models/models_0";
export interface UpdateSubnetGroupCommandInput extends UpdateSubnetGroupRequest {
}
export interface UpdateSubnetGroupCommandOutput extends UpdateSubnetGroupResponse, __MetadataBearer {
}

export declare class UpdateSubnetGroupCommand extends $Command<UpdateSubnetGroupCommandInput, UpdateSubnetGroupCommandOutput, MemoryDBClientResolvedConfig> {
    readonly input: UpdateSubnetGroupCommandInput;
    constructor(input: UpdateSubnetGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: MemoryDBClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateSubnetGroupCommandInput, UpdateSubnetGroupCommandOutput>;
    private serialize;
    private deserialize;
}
