import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { BatchUpdateClusterCommandInput, BatchUpdateClusterCommandOutput } from "../commands/BatchUpdateClusterCommand";
import { CopySnapshotCommandInput, CopySnapshotCommandOutput } from "../commands/CopySnapshotCommand";
import { CreateACLCommandInput, CreateACLCommandOutput } from "../commands/CreateACLCommand";
import { CreateClusterCommandInput, CreateClusterCommandOutput } from "../commands/CreateClusterCommand";
import { CreateParameterGroupCommandInput, CreateParameterGroupCommandOutput } from "../commands/CreateParameterGroupCommand";
import { CreateSnapshotCommandInput, CreateSnapshotCommandOutput } from "../commands/CreateSnapshotCommand";
import { CreateSubnetGroupCommandInput, CreateSubnetGroupCommandOutput } from "../commands/CreateSubnetGroupCommand";
import { CreateUserCommandInput, CreateUserCommandOutput } from "../commands/CreateUserCommand";
import { DeleteACLCommandInput, DeleteACLCommandOutput } from "../commands/DeleteACLCommand";
import { DeleteClusterCommandInput, DeleteClusterCommandOutput } from "../commands/DeleteClusterCommand";
import { DeleteParameterGroupCommandInput, DeleteParameterGroupCommandOutput } from "../commands/DeleteParameterGroupCommand";
import { DeleteSnapshotCommandInput, DeleteSnapshotCommandOutput } from "../commands/DeleteSnapshotCommand";
import { DeleteSubnetGroupCommandInput, DeleteSubnetGroupCommandOutput } from "../commands/DeleteSubnetGroupCommand";
import { DeleteUserCommandInput, DeleteUserCommandOutput } from "../commands/DeleteUserCommand";
import { DescribeACLsCommandInput, DescribeACLsCommandOutput } from "../commands/DescribeACLsCommand";
import { DescribeClustersCommandInput, DescribeClustersCommandOutput } from "../commands/DescribeClustersCommand";
import { DescribeEngineVersionsCommandInput, DescribeEngineVersionsCommandOutput } from "../commands/DescribeEngineVersionsCommand";
import { DescribeEventsCommandInput, DescribeEventsCommandOutput } from "../commands/DescribeEventsCommand";
import { DescribeParameterGroupsCommandInput, DescribeParameterGroupsCommandOutput } from "../commands/DescribeParameterGroupsCommand";
import { DescribeParametersCommandInput, DescribeParametersCommandOutput } from "../commands/DescribeParametersCommand";
import { DescribeServiceUpdatesCommandInput, DescribeServiceUpdatesCommandOutput } from "../commands/DescribeServiceUpdatesCommand";
import { DescribeSnapshotsCommandInput, DescribeSnapshotsCommandOutput } from "../commands/DescribeSnapshotsCommand";
import { DescribeSubnetGroupsCommandInput, DescribeSubnetGroupsCommandOutput } from "../commands/DescribeSubnetGroupsCommand";
import { DescribeUsersCommandInput, DescribeUsersCommandOutput } from "../commands/DescribeUsersCommand";
import { FailoverShardCommandInput, FailoverShardCommandOutput } from "../commands/FailoverShardCommand";
import { ListAllowedNodeTypeUpdatesCommandInput, ListAllowedNodeTypeUpdatesCommandOutput } from "../commands/ListAllowedNodeTypeUpdatesCommand";
import { ListTagsCommandInput, ListTagsCommandOutput } from "../commands/ListTagsCommand";
import { ResetParameterGroupCommandInput, ResetParameterGroupCommandOutput } from "../commands/ResetParameterGroupCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateACLCommandInput, UpdateACLCommandOutput } from "../commands/UpdateACLCommand";
import { UpdateClusterCommandInput, UpdateClusterCommandOutput } from "../commands/UpdateClusterCommand";
import { UpdateParameterGroupCommandInput, UpdateParameterGroupCommandOutput } from "../commands/UpdateParameterGroupCommand";
import { UpdateSubnetGroupCommandInput, UpdateSubnetGroupCommandOutput } from "../commands/UpdateSubnetGroupCommand";
import { UpdateUserCommandInput, UpdateUserCommandOutput } from "../commands/UpdateUserCommand";
export declare const serializeAws_json1_1BatchUpdateClusterCommand: (input: BatchUpdateClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CopySnapshotCommand: (input: CopySnapshotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateACLCommand: (input: CreateACLCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateClusterCommand: (input: CreateClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateParameterGroupCommand: (input: CreateParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateSnapshotCommand: (input: CreateSnapshotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateSubnetGroupCommand: (input: CreateSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateUserCommand: (input: CreateUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteACLCommand: (input: DeleteACLCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteClusterCommand: (input: DeleteClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteParameterGroupCommand: (input: DeleteParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteSnapshotCommand: (input: DeleteSnapshotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteSubnetGroupCommand: (input: DeleteSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteUserCommand: (input: DeleteUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeACLsCommand: (input: DescribeACLsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeClustersCommand: (input: DescribeClustersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeEngineVersionsCommand: (input: DescribeEngineVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeEventsCommand: (input: DescribeEventsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeParameterGroupsCommand: (input: DescribeParameterGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeParametersCommand: (input: DescribeParametersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeServiceUpdatesCommand: (input: DescribeServiceUpdatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeSnapshotsCommand: (input: DescribeSnapshotsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeSubnetGroupsCommand: (input: DescribeSubnetGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeUsersCommand: (input: DescribeUsersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1FailoverShardCommand: (input: FailoverShardCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAllowedNodeTypeUpdatesCommand: (input: ListAllowedNodeTypeUpdatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsCommand: (input: ListTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ResetParameterGroupCommand: (input: ResetParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateACLCommand: (input: UpdateACLCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateClusterCommand: (input: UpdateClusterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateParameterGroupCommand: (input: UpdateParameterGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateSubnetGroupCommand: (input: UpdateSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateUserCommand: (input: UpdateUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1BatchUpdateClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchUpdateClusterCommandOutput>;
export declare const deserializeAws_json1_1CopySnapshotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CopySnapshotCommandOutput>;
export declare const deserializeAws_json1_1CreateACLCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateACLCommandOutput>;
export declare const deserializeAws_json1_1CreateClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateClusterCommandOutput>;
export declare const deserializeAws_json1_1CreateParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateParameterGroupCommandOutput>;
export declare const deserializeAws_json1_1CreateSnapshotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateSnapshotCommandOutput>;
export declare const deserializeAws_json1_1CreateSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateSubnetGroupCommandOutput>;
export declare const deserializeAws_json1_1CreateUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateUserCommandOutput>;
export declare const deserializeAws_json1_1DeleteACLCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteACLCommandOutput>;
export declare const deserializeAws_json1_1DeleteClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteClusterCommandOutput>;
export declare const deserializeAws_json1_1DeleteParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteParameterGroupCommandOutput>;
export declare const deserializeAws_json1_1DeleteSnapshotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteSnapshotCommandOutput>;
export declare const deserializeAws_json1_1DeleteSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteSubnetGroupCommandOutput>;
export declare const deserializeAws_json1_1DeleteUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteUserCommandOutput>;
export declare const deserializeAws_json1_1DescribeACLsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeACLsCommandOutput>;
export declare const deserializeAws_json1_1DescribeClustersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeClustersCommandOutput>;
export declare const deserializeAws_json1_1DescribeEngineVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEngineVersionsCommandOutput>;
export declare const deserializeAws_json1_1DescribeEventsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEventsCommandOutput>;
export declare const deserializeAws_json1_1DescribeParameterGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeParameterGroupsCommandOutput>;
export declare const deserializeAws_json1_1DescribeParametersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeParametersCommandOutput>;
export declare const deserializeAws_json1_1DescribeServiceUpdatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeServiceUpdatesCommandOutput>;
export declare const deserializeAws_json1_1DescribeSnapshotsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeSnapshotsCommandOutput>;
export declare const deserializeAws_json1_1DescribeSubnetGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeSubnetGroupsCommandOutput>;
export declare const deserializeAws_json1_1DescribeUsersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeUsersCommandOutput>;
export declare const deserializeAws_json1_1FailoverShardCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<FailoverShardCommandOutput>;
export declare const deserializeAws_json1_1ListAllowedNodeTypeUpdatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAllowedNodeTypeUpdatesCommandOutput>;
export declare const deserializeAws_json1_1ListTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsCommandOutput>;
export declare const deserializeAws_json1_1ResetParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ResetParameterGroupCommandOutput>;
export declare const deserializeAws_json1_1TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_json1_1UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_json1_1UpdateACLCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateACLCommandOutput>;
export declare const deserializeAws_json1_1UpdateClusterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateClusterCommandOutput>;
export declare const deserializeAws_json1_1UpdateParameterGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateParameterGroupCommandOutput>;
export declare const deserializeAws_json1_1UpdateSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateSubnetGroupCommandOutput>;
export declare const deserializeAws_json1_1UpdateUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateUserCommandOutput>;
