import { __assign, __awaiter, __generator } from "tslib";
import { HttpRequest as __HttpRequest } from "@aws-sdk/protocol-http";
import { decorateServiceException as __decorateServiceException, expectBoolean as __expectBoolean, expectInt32 as __expectInt32, expectNonNull as __expectNonNull, expectNumber as __expectNumber, expectString as __expectString, limitedParseDouble as __limitedParseDouble, parseEpochTimestamp as __parseEpochTimestamp, } from "@aws-sdk/smithy-client";
import { MemoryDBServiceException as __BaseException } from "../models/MemoryDBServiceException";
import { ACLAlreadyExistsFault, ACLNotFoundFault, ACLQuotaExceededFault, APICallRateForCustomerExceededFault, ClusterAlreadyExistsFault, ClusterNotFoundFault, ClusterQuotaForCustomerExceededFault, DefaultUserRequired, DuplicateUserNameFault, InsufficientClusterCapacityFault, InvalidACLStateFault, InvalidARNFault, InvalidClusterStateFault, InvalidCredentialsException, InvalidKMSKeyFault, InvalidNodeStateFault, InvalidParameterCombinationException, InvalidParameterGroupStateFault, InvalidParameterValueException, InvalidSnapshotStateFault, InvalidSubnet, InvalidUserStateFault, InvalidVPCNetworkStateFault, NodeQuotaForClusterExceededFault, NodeQuotaForCustomerExceededFault, NoOperationFault, ParameterGroupAlreadyExistsFault, ParameterGroupNotFoundFault, ParameterGroupQuotaExceededFault, ServiceLinkedRoleNotFoundFault, ServiceUpdateNotFoundFault, ShardNotFoundFault, ShardsPerClusterQuotaExceededFault, SnapshotAlreadyExistsFault, SnapshotNotFoundFault, SnapshotQuotaExceededFault, SubnetGroupAlreadyExistsFault, SubnetGroupInUseFault, SubnetGroupNotFoundFault, SubnetGroupQuotaExceededFault, SubnetInUse, SubnetNotAllowedFault, SubnetQuotaExceededFault, TagNotFoundFault, TagQuotaPerResourceExceeded, TestFailoverNotAvailableFault, UserAlreadyExistsFault, UserNotFoundFault, UserQuotaExceededFault, } from "../models/models_0";
export var serializeAws_json1_1BatchUpdateClusterCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.BatchUpdateCluster",
        };
        body = JSON.stringify(serializeAws_json1_1BatchUpdateClusterRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CopySnapshotCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.CopySnapshot",
        };
        body = JSON.stringify(serializeAws_json1_1CopySnapshotRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateACLCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.CreateACL",
        };
        body = JSON.stringify(serializeAws_json1_1CreateACLRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateClusterCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.CreateCluster",
        };
        body = JSON.stringify(serializeAws_json1_1CreateClusterRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateParameterGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.CreateParameterGroup",
        };
        body = JSON.stringify(serializeAws_json1_1CreateParameterGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateSnapshotCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.CreateSnapshot",
        };
        body = JSON.stringify(serializeAws_json1_1CreateSnapshotRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateSubnetGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.CreateSubnetGroup",
        };
        body = JSON.stringify(serializeAws_json1_1CreateSubnetGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateUserCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.CreateUser",
        };
        body = JSON.stringify(serializeAws_json1_1CreateUserRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteACLCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DeleteACL",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteACLRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteClusterCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DeleteCluster",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteClusterRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteParameterGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DeleteParameterGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteParameterGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteSnapshotCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DeleteSnapshot",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteSnapshotRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteSubnetGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DeleteSubnetGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteSubnetGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteUserCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DeleteUser",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteUserRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeACLsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeACLs",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeACLsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeClustersCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeClusters",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeClustersRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeEngineVersionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeEngineVersions",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeEngineVersionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeEventsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeEvents",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeEventsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeParameterGroupsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeParameterGroups",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeParameterGroupsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeParametersCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeParameters",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeParametersRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeServiceUpdatesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeServiceUpdates",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeServiceUpdatesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeSnapshotsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeSnapshots",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeSnapshotsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeSubnetGroupsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeSubnetGroups",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeSubnetGroupsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeUsersCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.DescribeUsers",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeUsersRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1FailoverShardCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.FailoverShard",
        };
        body = JSON.stringify(serializeAws_json1_1FailoverShardRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListAllowedNodeTypeUpdatesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.ListAllowedNodeTypeUpdates",
        };
        body = JSON.stringify(serializeAws_json1_1ListAllowedNodeTypeUpdatesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTagsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.ListTags",
        };
        body = JSON.stringify(serializeAws_json1_1ListTagsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ResetParameterGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.ResetParameterGroup",
        };
        body = JSON.stringify(serializeAws_json1_1ResetParameterGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1TagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.TagResource",
        };
        body = JSON.stringify(serializeAws_json1_1TagResourceRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UntagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.UntagResource",
        };
        body = JSON.stringify(serializeAws_json1_1UntagResourceRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateACLCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.UpdateACL",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateACLRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateClusterCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.UpdateCluster",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateClusterRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateParameterGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.UpdateParameterGroup",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateParameterGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateSubnetGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.UpdateSubnetGroup",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateSubnetGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateUserCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "AmazonMemoryDB.UpdateUser",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateUserRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var deserializeAws_json1_1BatchUpdateClusterCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchUpdateClusterCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchUpdateClusterResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchUpdateClusterCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterValueException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 2];
                    case "ServiceUpdateNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ServiceUpdateNotFoundFault": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ServiceUpdateNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CopySnapshotCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CopySnapshotCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CopySnapshotResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CopySnapshotCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "InvalidSnapshotStateFault": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidSnapshotStateFault": return [3, 6];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "SnapshotAlreadyExistsFault": return [3, 10];
                    case "com.amazonaws.memorydb#SnapshotAlreadyExistsFault": return [3, 10];
                    case "SnapshotNotFoundFault": return [3, 12];
                    case "com.amazonaws.memorydb#SnapshotNotFoundFault": return [3, 12];
                    case "SnapshotQuotaExceededFault": return [3, 14];
                    case "com.amazonaws.memorydb#SnapshotQuotaExceededFault": return [3, 14];
                    case "TagQuotaPerResourceExceeded": return [3, 16];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidSnapshotStateFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1SnapshotAlreadyExistsFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1SnapshotNotFoundFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1SnapshotQuotaExceededFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateACLCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateACLCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateACLResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateACLCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLAlreadyExistsFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLAlreadyExistsFault": return [3, 2];
                    case "ACLQuotaExceededFault": return [3, 4];
                    case "com.amazonaws.memorydb#ACLQuotaExceededFault": return [3, 4];
                    case "DefaultUserRequired": return [3, 6];
                    case "com.amazonaws.memorydb#DefaultUserRequired": return [3, 6];
                    case "DuplicateUserNameFault": return [3, 8];
                    case "com.amazonaws.memorydb#DuplicateUserNameFault": return [3, 8];
                    case "InvalidParameterValueException": return [3, 10];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 10];
                    case "TagQuotaPerResourceExceeded": return [3, 12];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 12];
                    case "UserNotFoundFault": return [3, 14];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1ACLAlreadyExistsFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ACLQuotaExceededFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DefaultUserRequiredResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1DuplicateUserNameFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateClusterCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateClusterCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateClusterResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateClusterCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "ClusterAlreadyExistsFault": return [3, 4];
                    case "com.amazonaws.memorydb#ClusterAlreadyExistsFault": return [3, 4];
                    case "ClusterQuotaForCustomerExceededFault": return [3, 6];
                    case "com.amazonaws.memorydb#ClusterQuotaForCustomerExceededFault": return [3, 6];
                    case "InsufficientClusterCapacityFault": return [3, 8];
                    case "com.amazonaws.memorydb#InsufficientClusterCapacityFault": return [3, 8];
                    case "InvalidACLStateFault": return [3, 10];
                    case "com.amazonaws.memorydb#InvalidACLStateFault": return [3, 10];
                    case "InvalidCredentialsException": return [3, 12];
                    case "com.amazonaws.memorydb#InvalidCredentialsException": return [3, 12];
                    case "InvalidParameterCombinationException": return [3, 14];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 14];
                    case "InvalidParameterValueException": return [3, 16];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 16];
                    case "InvalidVPCNetworkStateFault": return [3, 18];
                    case "com.amazonaws.memorydb#InvalidVPCNetworkStateFault": return [3, 18];
                    case "NodeQuotaForClusterExceededFault": return [3, 20];
                    case "com.amazonaws.memorydb#NodeQuotaForClusterExceededFault": return [3, 20];
                    case "NodeQuotaForCustomerExceededFault": return [3, 22];
                    case "com.amazonaws.memorydb#NodeQuotaForCustomerExceededFault": return [3, 22];
                    case "ParameterGroupNotFoundFault": return [3, 24];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 24];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 26];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 26];
                    case "ShardsPerClusterQuotaExceededFault": return [3, 28];
                    case "com.amazonaws.memorydb#ShardsPerClusterQuotaExceededFault": return [3, 28];
                    case "SubnetGroupNotFoundFault": return [3, 30];
                    case "com.amazonaws.memorydb#SubnetGroupNotFoundFault": return [3, 30];
                    case "TagQuotaPerResourceExceeded": return [3, 32];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 32];
                }
                return [3, 34];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ClusterAlreadyExistsFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ClusterQuotaForCustomerExceededFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InsufficientClusterCapacityFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidACLStateFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidCredentialsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidVPCNetworkStateFaultResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1NodeQuotaForClusterExceededFaultResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22: return [4, deserializeAws_json1_1NodeQuotaForCustomerExceededFaultResponse(parsedOutput, context)];
            case 23: throw _d.sent();
            case 24: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 25: throw _d.sent();
            case 26: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 27: throw _d.sent();
            case 28: return [4, deserializeAws_json1_1ShardsPerClusterQuotaExceededFaultResponse(parsedOutput, context)];
            case 29: throw _d.sent();
            case 30: return [4, deserializeAws_json1_1SubnetGroupNotFoundFaultResponse(parsedOutput, context)];
            case 31: throw _d.sent();
            case 32: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 33: throw _d.sent();
            case 34:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateParameterGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateParameterGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateParameterGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateParameterGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterGroupStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterGroupStateFault": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                    case "ParameterGroupAlreadyExistsFault": return [3, 8];
                    case "com.amazonaws.memorydb#ParameterGroupAlreadyExistsFault": return [3, 8];
                    case "ParameterGroupQuotaExceededFault": return [3, 10];
                    case "com.amazonaws.memorydb#ParameterGroupQuotaExceededFault": return [3, 10];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "TagQuotaPerResourceExceeded": return [3, 14];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterGroupStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ParameterGroupAlreadyExistsFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ParameterGroupQuotaExceededFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateSnapshotCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateSnapshotCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateSnapshotResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateSnapshotCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ClusterNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 2];
                    case "InvalidClusterStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidClusterStateFault": return [3, 4];
                    case "InvalidParameterCombinationException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 6];
                    case "InvalidParameterValueException": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 8];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 10];
                    case "SnapshotAlreadyExistsFault": return [3, 12];
                    case "com.amazonaws.memorydb#SnapshotAlreadyExistsFault": return [3, 12];
                    case "SnapshotQuotaExceededFault": return [3, 14];
                    case "com.amazonaws.memorydb#SnapshotQuotaExceededFault": return [3, 14];
                    case "TagQuotaPerResourceExceeded": return [3, 16];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidClusterStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1SnapshotAlreadyExistsFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1SnapshotQuotaExceededFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateSubnetGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateSubnetGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateSubnetGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateSubnetGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidSubnet": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidSubnet": return [3, 2];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 4];
                    case "SubnetGroupAlreadyExistsFault": return [3, 6];
                    case "com.amazonaws.memorydb#SubnetGroupAlreadyExistsFault": return [3, 6];
                    case "SubnetGroupQuotaExceededFault": return [3, 8];
                    case "com.amazonaws.memorydb#SubnetGroupQuotaExceededFault": return [3, 8];
                    case "SubnetNotAllowedFault": return [3, 10];
                    case "com.amazonaws.memorydb#SubnetNotAllowedFault": return [3, 10];
                    case "SubnetQuotaExceededFault": return [3, 12];
                    case "com.amazonaws.memorydb#SubnetQuotaExceededFault": return [3, 12];
                    case "TagQuotaPerResourceExceeded": return [3, 14];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1InvalidSubnetResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1SubnetGroupAlreadyExistsFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1SubnetGroupQuotaExceededFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1SubnetNotAllowedFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1SubnetQuotaExceededFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateUserCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateUserCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateUserResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateUserCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "DuplicateUserNameFault": return [3, 2];
                    case "com.amazonaws.memorydb#DuplicateUserNameFault": return [3, 2];
                    case "InvalidParameterCombinationException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                    case "TagQuotaPerResourceExceeded": return [3, 8];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 8];
                    case "UserAlreadyExistsFault": return [3, 10];
                    case "com.amazonaws.memorydb#UserAlreadyExistsFault": return [3, 10];
                    case "UserQuotaExceededFault": return [3, 12];
                    case "com.amazonaws.memorydb#UserQuotaExceededFault": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1DuplicateUserNameFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1UserAlreadyExistsFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1UserQuotaExceededFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteACLCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteACLCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteACLResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteACLCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "InvalidACLStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidACLStateFault": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidACLStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteClusterCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteClusterCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteClusterResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteClusterCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ClusterNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 2];
                    case "InvalidClusterStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidClusterStateFault": return [3, 4];
                    case "InvalidParameterCombinationException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 6];
                    case "InvalidParameterValueException": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 8];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 10];
                    case "SnapshotAlreadyExistsFault": return [3, 12];
                    case "com.amazonaws.memorydb#SnapshotAlreadyExistsFault": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidClusterStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1SnapshotAlreadyExistsFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteParameterGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteParameterGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteParameterGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteParameterGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterGroupStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterGroupStateFault": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                    case "ParameterGroupNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 8];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterGroupStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteSnapshotCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteSnapshotCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteSnapshotResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteSnapshotCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "InvalidSnapshotStateFault": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidSnapshotStateFault": return [3, 6];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "SnapshotNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#SnapshotNotFoundFault": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidSnapshotStateFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1SnapshotNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteSubnetGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteSubnetGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteSubnetGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteSubnetGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ServiceLinkedRoleNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 2];
                    case "SubnetGroupInUseFault": return [3, 4];
                    case "com.amazonaws.memorydb#SubnetGroupInUseFault": return [3, 4];
                    case "SubnetGroupNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#SubnetGroupNotFoundFault": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1SubnetGroupInUseFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1SubnetGroupNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteUserCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteUserCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteUserResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteUserCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterValueException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 2];
                    case "InvalidUserStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidUserStateFault": return [3, 4];
                    case "UserNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidUserStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeACLsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeACLsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeACLsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeACLsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "InvalidParameterCombinationException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeClustersCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeClustersCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeClustersResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeClustersCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ClusterNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 2];
                    case "InvalidParameterCombinationException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeEngineVersionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeEngineVersionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeEngineVersionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeEngineVersionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeEventsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeEventsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeEventsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeEventsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeParameterGroupsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeParameterGroupsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeParameterGroupsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeParameterGroupsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "ParameterGroupNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 6];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeParametersCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeParametersCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeParametersResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeParametersCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "ParameterGroupNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 6];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeServiceUpdatesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeServiceUpdatesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeServiceUpdatesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeServiceUpdatesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeSnapshotsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeSnapshotsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeSnapshotsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeSnapshotsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 6];
                    case "SnapshotNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#SnapshotNotFoundFault": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1SnapshotNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeSubnetGroupsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeSubnetGroupsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeSubnetGroupsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeSubnetGroupsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ServiceLinkedRoleNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 2];
                    case "SubnetGroupNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#SubnetGroupNotFoundFault": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1SubnetGroupNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeUsersCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeUsersCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeUsersResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeUsersCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "UserNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1FailoverShardCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1FailoverShardCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1FailoverShardResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1FailoverShardCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "APICallRateForCustomerExceededFault": return [3, 2];
                    case "com.amazonaws.memorydb#APICallRateForCustomerExceededFault": return [3, 2];
                    case "ClusterNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 4];
                    case "InvalidClusterStateFault": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidClusterStateFault": return [3, 6];
                    case "InvalidKMSKeyFault": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidKMSKeyFault": return [3, 8];
                    case "InvalidParameterCombinationException": return [3, 10];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 10];
                    case "InvalidParameterValueException": return [3, 12];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 12];
                    case "ShardNotFoundFault": return [3, 14];
                    case "com.amazonaws.memorydb#ShardNotFoundFault": return [3, 14];
                    case "TestFailoverNotAvailableFault": return [3, 16];
                    case "com.amazonaws.memorydb#TestFailoverNotAvailableFault": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1APICallRateForCustomerExceededFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidClusterStateFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidKMSKeyFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1ShardNotFoundFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1TestFailoverNotAvailableFaultResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListAllowedNodeTypeUpdatesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListAllowedNodeTypeUpdatesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListAllowedNodeTypeUpdatesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListAllowedNodeTypeUpdatesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ClusterNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 2];
                    case "InvalidParameterCombinationException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListTagsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTagsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTagsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTagsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "ClusterNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 4];
                    case "InvalidARNFault": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidARNFault": return [3, 6];
                    case "InvalidClusterStateFault": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidClusterStateFault": return [3, 8];
                    case "ParameterGroupNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 10];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "SnapshotNotFoundFault": return [3, 14];
                    case "com.amazonaws.memorydb#SnapshotNotFoundFault": return [3, 14];
                    case "SubnetGroupNotFoundFault": return [3, 16];
                    case "com.amazonaws.memorydb#SubnetGroupNotFoundFault": return [3, 16];
                    case "UserNotFoundFault": return [3, 18];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 18];
                }
                return [3, 20];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidARNFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidClusterStateFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1SnapshotNotFoundFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1SubnetGroupNotFoundFaultResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ResetParameterGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ResetParameterGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ResetParameterGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ResetParameterGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterGroupStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterGroupStateFault": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                    case "ParameterGroupNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 8];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterGroupStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1TagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1TagResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1TagResourceResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1TagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "ClusterNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 4];
                    case "InvalidARNFault": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidARNFault": return [3, 6];
                    case "InvalidClusterStateFault": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidClusterStateFault": return [3, 8];
                    case "ParameterGroupNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 10];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "SnapshotNotFoundFault": return [3, 14];
                    case "com.amazonaws.memorydb#SnapshotNotFoundFault": return [3, 14];
                    case "SubnetGroupNotFoundFault": return [3, 16];
                    case "com.amazonaws.memorydb#SubnetGroupNotFoundFault": return [3, 16];
                    case "TagQuotaPerResourceExceeded": return [3, 18];
                    case "com.amazonaws.memorydb#TagQuotaPerResourceExceeded": return [3, 18];
                    case "UserNotFoundFault": return [3, 20];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 20];
                }
                return [3, 22];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidARNFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidClusterStateFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1SnapshotNotFoundFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1SubnetGroupNotFoundFaultResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1TagQuotaPerResourceExceededResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UntagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UntagResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UntagResourceResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UntagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "ClusterNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 4];
                    case "InvalidARNFault": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidARNFault": return [3, 6];
                    case "InvalidClusterStateFault": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidClusterStateFault": return [3, 8];
                    case "ParameterGroupNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 10];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 12];
                    case "SnapshotNotFoundFault": return [3, 14];
                    case "com.amazonaws.memorydb#SnapshotNotFoundFault": return [3, 14];
                    case "SubnetGroupNotFoundFault": return [3, 16];
                    case "com.amazonaws.memorydb#SubnetGroupNotFoundFault": return [3, 16];
                    case "TagNotFoundFault": return [3, 18];
                    case "com.amazonaws.memorydb#TagNotFoundFault": return [3, 18];
                    case "UserNotFoundFault": return [3, 20];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 20];
                }
                return [3, 22];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidARNFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidClusterStateFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1SnapshotNotFoundFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1SubnetGroupNotFoundFaultResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1TagNotFoundFaultResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateACLCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateACLCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateACLResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateACLCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "DefaultUserRequired": return [3, 4];
                    case "com.amazonaws.memorydb#DefaultUserRequired": return [3, 4];
                    case "DuplicateUserNameFault": return [3, 6];
                    case "com.amazonaws.memorydb#DuplicateUserNameFault": return [3, 6];
                    case "InvalidACLStateFault": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidACLStateFault": return [3, 8];
                    case "InvalidParameterCombinationException": return [3, 10];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 10];
                    case "InvalidParameterValueException": return [3, 12];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 12];
                    case "UserNotFoundFault": return [3, 14];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 14];
                }
                return [3, 16];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DefaultUserRequiredResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1DuplicateUserNameFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidACLStateFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateClusterCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateClusterCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateClusterResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateClusterCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ACLNotFoundFault": return [3, 2];
                    case "com.amazonaws.memorydb#ACLNotFoundFault": return [3, 2];
                    case "ClusterNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ClusterNotFoundFault": return [3, 4];
                    case "ClusterQuotaForCustomerExceededFault": return [3, 6];
                    case "com.amazonaws.memorydb#ClusterQuotaForCustomerExceededFault": return [3, 6];
                    case "InvalidACLStateFault": return [3, 8];
                    case "com.amazonaws.memorydb#InvalidACLStateFault": return [3, 8];
                    case "InvalidClusterStateFault": return [3, 10];
                    case "com.amazonaws.memorydb#InvalidClusterStateFault": return [3, 10];
                    case "InvalidKMSKeyFault": return [3, 12];
                    case "com.amazonaws.memorydb#InvalidKMSKeyFault": return [3, 12];
                    case "InvalidNodeStateFault": return [3, 14];
                    case "com.amazonaws.memorydb#InvalidNodeStateFault": return [3, 14];
                    case "InvalidParameterCombinationException": return [3, 16];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 16];
                    case "InvalidParameterValueException": return [3, 18];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 18];
                    case "InvalidVPCNetworkStateFault": return [3, 20];
                    case "com.amazonaws.memorydb#InvalidVPCNetworkStateFault": return [3, 20];
                    case "NodeQuotaForClusterExceededFault": return [3, 22];
                    case "com.amazonaws.memorydb#NodeQuotaForClusterExceededFault": return [3, 22];
                    case "NodeQuotaForCustomerExceededFault": return [3, 24];
                    case "com.amazonaws.memorydb#NodeQuotaForCustomerExceededFault": return [3, 24];
                    case "NoOperationFault": return [3, 26];
                    case "com.amazonaws.memorydb#NoOperationFault": return [3, 26];
                    case "ParameterGroupNotFoundFault": return [3, 28];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 28];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 30];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 30];
                    case "ShardsPerClusterQuotaExceededFault": return [3, 32];
                    case "com.amazonaws.memorydb#ShardsPerClusterQuotaExceededFault": return [3, 32];
                }
                return [3, 34];
            case 2: return [4, deserializeAws_json1_1ACLNotFoundFaultResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ClusterNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ClusterQuotaForCustomerExceededFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidACLStateFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidClusterStateFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidKMSKeyFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1InvalidNodeStateFaultResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1InvalidVPCNetworkStateFaultResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22: return [4, deserializeAws_json1_1NodeQuotaForClusterExceededFaultResponse(parsedOutput, context)];
            case 23: throw _d.sent();
            case 24: return [4, deserializeAws_json1_1NodeQuotaForCustomerExceededFaultResponse(parsedOutput, context)];
            case 25: throw _d.sent();
            case 26: return [4, deserializeAws_json1_1NoOperationFaultResponse(parsedOutput, context)];
            case 27: throw _d.sent();
            case 28: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 29: throw _d.sent();
            case 30: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 31: throw _d.sent();
            case 32: return [4, deserializeAws_json1_1ShardsPerClusterQuotaExceededFaultResponse(parsedOutput, context)];
            case 33: throw _d.sent();
            case 34:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateParameterGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateParameterGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateParameterGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateParameterGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterGroupStateFault": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterGroupStateFault": return [3, 4];
                    case "InvalidParameterValueException": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 6];
                    case "ParameterGroupNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#ParameterGroupNotFoundFault": return [3, 8];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 10];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterGroupStateFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ParameterGroupNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateSubnetGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateSubnetGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateSubnetGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateSubnetGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidSubnet": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidSubnet": return [3, 2];
                    case "ServiceLinkedRoleNotFoundFault": return [3, 4];
                    case "com.amazonaws.memorydb#ServiceLinkedRoleNotFoundFault": return [3, 4];
                    case "SubnetGroupNotFoundFault": return [3, 6];
                    case "com.amazonaws.memorydb#SubnetGroupNotFoundFault": return [3, 6];
                    case "SubnetInUse": return [3, 8];
                    case "com.amazonaws.memorydb#SubnetInUse": return [3, 8];
                    case "SubnetNotAllowedFault": return [3, 10];
                    case "com.amazonaws.memorydb#SubnetNotAllowedFault": return [3, 10];
                    case "SubnetQuotaExceededFault": return [3, 12];
                    case "com.amazonaws.memorydb#SubnetQuotaExceededFault": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1InvalidSubnetResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1SubnetGroupNotFoundFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1SubnetInUseResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1SubnetNotAllowedFaultResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1SubnetQuotaExceededFaultResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateUserCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateUserCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateUserResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateUserCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidParameterCombinationException": return [3, 2];
                    case "com.amazonaws.memorydb#InvalidParameterCombinationException": return [3, 2];
                    case "InvalidParameterValueException": return [3, 4];
                    case "com.amazonaws.memorydb#InvalidParameterValueException": return [3, 4];
                    case "InvalidUserStateFault": return [3, 6];
                    case "com.amazonaws.memorydb#InvalidUserStateFault": return [3, 6];
                    case "UserNotFoundFault": return [3, 8];
                    case "com.amazonaws.memorydb#UserNotFoundFault": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidParameterCombinationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidParameterValueExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidUserStateFaultResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1UserNotFoundFaultResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
var deserializeAws_json1_1ACLAlreadyExistsFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ACLAlreadyExistsFault(body, context);
        exception = new ACLAlreadyExistsFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ACLNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ACLNotFoundFault(body, context);
        exception = new ACLNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ACLQuotaExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ACLQuotaExceededFault(body, context);
        exception = new ACLQuotaExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1APICallRateForCustomerExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1APICallRateForCustomerExceededFault(body, context);
        exception = new APICallRateForCustomerExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ClusterAlreadyExistsFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ClusterAlreadyExistsFault(body, context);
        exception = new ClusterAlreadyExistsFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ClusterNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ClusterNotFoundFault(body, context);
        exception = new ClusterNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ClusterQuotaForCustomerExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ClusterQuotaForCustomerExceededFault(body, context);
        exception = new ClusterQuotaForCustomerExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DefaultUserRequiredResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DefaultUserRequired(body, context);
        exception = new DefaultUserRequired(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DuplicateUserNameFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DuplicateUserNameFault(body, context);
        exception = new DuplicateUserNameFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InsufficientClusterCapacityFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InsufficientClusterCapacityFault(body, context);
        exception = new InsufficientClusterCapacityFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidACLStateFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidACLStateFault(body, context);
        exception = new InvalidACLStateFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidARNFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidARNFault(body, context);
        exception = new InvalidARNFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidClusterStateFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidClusterStateFault(body, context);
        exception = new InvalidClusterStateFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidCredentialsExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidCredentialsException(body, context);
        exception = new InvalidCredentialsException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidKMSKeyFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidKMSKeyFault(body, context);
        exception = new InvalidKMSKeyFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidNodeStateFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidNodeStateFault(body, context);
        exception = new InvalidNodeStateFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidParameterCombinationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidParameterCombinationException(body, context);
        exception = new InvalidParameterCombinationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidParameterGroupStateFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidParameterGroupStateFault(body, context);
        exception = new InvalidParameterGroupStateFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidParameterValueExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidParameterValueException(body, context);
        exception = new InvalidParameterValueException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidSnapshotStateFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidSnapshotStateFault(body, context);
        exception = new InvalidSnapshotStateFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidSubnetResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidSubnet(body, context);
        exception = new InvalidSubnet(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidUserStateFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidUserStateFault(body, context);
        exception = new InvalidUserStateFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidVPCNetworkStateFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidVPCNetworkStateFault(body, context);
        exception = new InvalidVPCNetworkStateFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1NodeQuotaForClusterExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1NodeQuotaForClusterExceededFault(body, context);
        exception = new NodeQuotaForClusterExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1NodeQuotaForCustomerExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1NodeQuotaForCustomerExceededFault(body, context);
        exception = new NodeQuotaForCustomerExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1NoOperationFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1NoOperationFault(body, context);
        exception = new NoOperationFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ParameterGroupAlreadyExistsFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ParameterGroupAlreadyExistsFault(body, context);
        exception = new ParameterGroupAlreadyExistsFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ParameterGroupNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ParameterGroupNotFoundFault(body, context);
        exception = new ParameterGroupNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ParameterGroupQuotaExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ParameterGroupQuotaExceededFault(body, context);
        exception = new ParameterGroupQuotaExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ServiceLinkedRoleNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ServiceLinkedRoleNotFoundFault(body, context);
        exception = new ServiceLinkedRoleNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ServiceUpdateNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ServiceUpdateNotFoundFault(body, context);
        exception = new ServiceUpdateNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ShardNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ShardNotFoundFault(body, context);
        exception = new ShardNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ShardsPerClusterQuotaExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ShardsPerClusterQuotaExceededFault(body, context);
        exception = new ShardsPerClusterQuotaExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SnapshotAlreadyExistsFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SnapshotAlreadyExistsFault(body, context);
        exception = new SnapshotAlreadyExistsFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SnapshotNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SnapshotNotFoundFault(body, context);
        exception = new SnapshotNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SnapshotQuotaExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SnapshotQuotaExceededFault(body, context);
        exception = new SnapshotQuotaExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SubnetGroupAlreadyExistsFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SubnetGroupAlreadyExistsFault(body, context);
        exception = new SubnetGroupAlreadyExistsFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SubnetGroupInUseFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SubnetGroupInUseFault(body, context);
        exception = new SubnetGroupInUseFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SubnetGroupNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SubnetGroupNotFoundFault(body, context);
        exception = new SubnetGroupNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SubnetGroupQuotaExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SubnetGroupQuotaExceededFault(body, context);
        exception = new SubnetGroupQuotaExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SubnetInUseResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SubnetInUse(body, context);
        exception = new SubnetInUse(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SubnetNotAllowedFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SubnetNotAllowedFault(body, context);
        exception = new SubnetNotAllowedFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1SubnetQuotaExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1SubnetQuotaExceededFault(body, context);
        exception = new SubnetQuotaExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TagNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TagNotFoundFault(body, context);
        exception = new TagNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TagQuotaPerResourceExceededResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TagQuotaPerResourceExceeded(body, context);
        exception = new TagQuotaPerResourceExceeded(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TestFailoverNotAvailableFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TestFailoverNotAvailableFault(body, context);
        exception = new TestFailoverNotAvailableFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1UserAlreadyExistsFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1UserAlreadyExistsFault(body, context);
        exception = new UserAlreadyExistsFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1UserNotFoundFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1UserNotFoundFault(body, context);
        exception = new UserNotFoundFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1UserQuotaExceededFaultResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1UserQuotaExceededFault(body, context);
        exception = new UserQuotaExceededFault(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var serializeAws_json1_1AuthenticationMode = function (input, context) {
    return __assign(__assign({}, (input.Passwords !== undefined &&
        input.Passwords !== null && { Passwords: serializeAws_json1_1PasswordListInput(input.Passwords, context) })), (input.Type !== undefined && input.Type !== null && { Type: input.Type }));
};
var serializeAws_json1_1BatchUpdateClusterRequest = function (input, context) {
    return __assign(__assign({}, (input.ClusterNames !== undefined &&
        input.ClusterNames !== null && {
        ClusterNames: serializeAws_json1_1ClusterNameList(input.ClusterNames, context),
    })), (input.ServiceUpdate !== undefined &&
        input.ServiceUpdate !== null && {
        ServiceUpdate: serializeAws_json1_1ServiceUpdateRequest(input.ServiceUpdate, context),
    }));
};
var serializeAws_json1_1ClusterNameList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1CopySnapshotRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.SourceSnapshotName !== undefined &&
        input.SourceSnapshotName !== null && { SourceSnapshotName: input.SourceSnapshotName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.TargetBucket !== undefined && input.TargetBucket !== null && { TargetBucket: input.TargetBucket })), (input.TargetSnapshotName !== undefined &&
        input.TargetSnapshotName !== null && { TargetSnapshotName: input.TargetSnapshotName }));
};
var serializeAws_json1_1CreateACLRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.ACLName !== undefined && input.ACLName !== null && { ACLName: input.ACLName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.UserNames !== undefined &&
        input.UserNames !== null && { UserNames: serializeAws_json1_1UserNameListInput(input.UserNames, context) }));
};
var serializeAws_json1_1CreateClusterRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ACLName !== undefined && input.ACLName !== null && { ACLName: input.ACLName })), (input.AutoMinorVersionUpgrade !== undefined &&
        input.AutoMinorVersionUpgrade !== null && { AutoMinorVersionUpgrade: input.AutoMinorVersionUpgrade })), (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.EngineVersion !== undefined && input.EngineVersion !== null && { EngineVersion: input.EngineVersion })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.MaintenanceWindow !== undefined &&
        input.MaintenanceWindow !== null && { MaintenanceWindow: input.MaintenanceWindow })), (input.NodeType !== undefined && input.NodeType !== null && { NodeType: input.NodeType })), (input.NumReplicasPerShard !== undefined &&
        input.NumReplicasPerShard !== null && { NumReplicasPerShard: input.NumReplicasPerShard })), (input.NumShards !== undefined && input.NumShards !== null && { NumShards: input.NumShards })), (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName })), (input.Port !== undefined && input.Port !== null && { Port: input.Port })), (input.SecurityGroupIds !== undefined &&
        input.SecurityGroupIds !== null && {
        SecurityGroupIds: serializeAws_json1_1SecurityGroupIdsList(input.SecurityGroupIds, context),
    })), (input.SnapshotArns !== undefined &&
        input.SnapshotArns !== null && {
        SnapshotArns: serializeAws_json1_1SnapshotArnsList(input.SnapshotArns, context),
    })), (input.SnapshotName !== undefined && input.SnapshotName !== null && { SnapshotName: input.SnapshotName })), (input.SnapshotRetentionLimit !== undefined &&
        input.SnapshotRetentionLimit !== null && { SnapshotRetentionLimit: input.SnapshotRetentionLimit })), (input.SnapshotWindow !== undefined &&
        input.SnapshotWindow !== null && { SnapshotWindow: input.SnapshotWindow })), (input.SnsTopicArn !== undefined && input.SnsTopicArn !== null && { SnsTopicArn: input.SnsTopicArn })), (input.SubnetGroupName !== undefined &&
        input.SubnetGroupName !== null && { SubnetGroupName: input.SubnetGroupName })), (input.TLSEnabled !== undefined && input.TLSEnabled !== null && { TLSEnabled: input.TLSEnabled })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateParameterGroupRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.Family !== undefined && input.Family !== null && { Family: input.Family })), (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateSnapshotRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.SnapshotName !== undefined && input.SnapshotName !== null && { SnapshotName: input.SnapshotName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateSubnetGroupRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.SubnetGroupName !== undefined &&
        input.SubnetGroupName !== null && { SubnetGroupName: input.SubnetGroupName })), (input.SubnetIds !== undefined &&
        input.SubnetIds !== null && { SubnetIds: serializeAws_json1_1SubnetIdentifierList(input.SubnetIds, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateUserRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.AccessString !== undefined && input.AccessString !== null && { AccessString: input.AccessString })), (input.AuthenticationMode !== undefined &&
        input.AuthenticationMode !== null && {
        AuthenticationMode: serializeAws_json1_1AuthenticationMode(input.AuthenticationMode, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.UserName !== undefined && input.UserName !== null && { UserName: input.UserName }));
};
var serializeAws_json1_1DeleteACLRequest = function (input, context) {
    return __assign({}, (input.ACLName !== undefined && input.ACLName !== null && { ACLName: input.ACLName }));
};
var serializeAws_json1_1DeleteClusterRequest = function (input, context) {
    return __assign(__assign({}, (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName })), (input.FinalSnapshotName !== undefined &&
        input.FinalSnapshotName !== null && { FinalSnapshotName: input.FinalSnapshotName }));
};
var serializeAws_json1_1DeleteParameterGroupRequest = function (input, context) {
    return __assign({}, (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName }));
};
var serializeAws_json1_1DeleteSnapshotRequest = function (input, context) {
    return __assign({}, (input.SnapshotName !== undefined && input.SnapshotName !== null && { SnapshotName: input.SnapshotName }));
};
var serializeAws_json1_1DeleteSubnetGroupRequest = function (input, context) {
    return __assign({}, (input.SubnetGroupName !== undefined &&
        input.SubnetGroupName !== null && { SubnetGroupName: input.SubnetGroupName }));
};
var serializeAws_json1_1DeleteUserRequest = function (input, context) {
    return __assign({}, (input.UserName !== undefined && input.UserName !== null && { UserName: input.UserName }));
};
var serializeAws_json1_1DescribeACLsRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.ACLName !== undefined && input.ACLName !== null && { ACLName: input.ACLName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken }));
};
var serializeAws_json1_1DescribeClustersRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ShowShardDetails !== undefined &&
        input.ShowShardDetails !== null && { ShowShardDetails: input.ShowShardDetails }));
};
var serializeAws_json1_1DescribeEngineVersionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.DefaultOnly !== undefined && input.DefaultOnly !== null && { DefaultOnly: input.DefaultOnly })), (input.EngineVersion !== undefined && input.EngineVersion !== null && { EngineVersion: input.EngineVersion })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ParameterGroupFamily !== undefined &&
        input.ParameterGroupFamily !== null && { ParameterGroupFamily: input.ParameterGroupFamily }));
};
var serializeAws_json1_1DescribeEventsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.Duration !== undefined && input.Duration !== null && { Duration: input.Duration })), (input.EndTime !== undefined &&
        input.EndTime !== null && { EndTime: Math.round(input.EndTime.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SourceName !== undefined && input.SourceName !== null && { SourceName: input.SourceName })), (input.SourceType !== undefined && input.SourceType !== null && { SourceType: input.SourceType })), (input.StartTime !== undefined &&
        input.StartTime !== null && { StartTime: Math.round(input.StartTime.getTime() / 1000) }));
};
var serializeAws_json1_1DescribeParameterGroupsRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName }));
};
var serializeAws_json1_1DescribeParametersRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName }));
};
var serializeAws_json1_1DescribeServiceUpdatesRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.ClusterNames !== undefined &&
        input.ClusterNames !== null && {
        ClusterNames: serializeAws_json1_1ClusterNameList(input.ClusterNames, context),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ServiceUpdateName !== undefined &&
        input.ServiceUpdateName !== null && { ServiceUpdateName: input.ServiceUpdateName })), (input.Status !== undefined &&
        input.Status !== null && { Status: serializeAws_json1_1ServiceUpdateStatusList(input.Status, context) }));
};
var serializeAws_json1_1DescribeSnapshotsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ShowDetail !== undefined && input.ShowDetail !== null && { ShowDetail: input.ShowDetail })), (input.SnapshotName !== undefined && input.SnapshotName !== null && { SnapshotName: input.SnapshotName })), (input.Source !== undefined && input.Source !== null && { Source: input.Source }));
};
var serializeAws_json1_1DescribeSubnetGroupsRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SubnetGroupName !== undefined &&
        input.SubnetGroupName !== null && { SubnetGroupName: input.SubnetGroupName }));
};
var serializeAws_json1_1DescribeUsersRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Filters !== undefined &&
        input.Filters !== null && { Filters: serializeAws_json1_1FilterList(input.Filters, context) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.UserName !== undefined && input.UserName !== null && { UserName: input.UserName }));
};
var serializeAws_json1_1FailoverShardRequest = function (input, context) {
    return __assign(__assign({}, (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName })), (input.ShardName !== undefined && input.ShardName !== null && { ShardName: input.ShardName }));
};
var serializeAws_json1_1Filter = function (input, context) {
    return __assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Values !== undefined &&
        input.Values !== null && { Values: serializeAws_json1_1FilterValueList(input.Values, context) }));
};
var serializeAws_json1_1FilterList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Filter(entry, context);
    });
};
var serializeAws_json1_1FilterValueList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1KeyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ListAllowedNodeTypeUpdatesRequest = function (input, context) {
    return __assign({}, (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName }));
};
var serializeAws_json1_1ListTagsRequest = function (input, context) {
    return __assign({}, (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn }));
};
var serializeAws_json1_1ParameterNameList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ParameterNameValue = function (input, context) {
    return __assign(__assign({}, (input.ParameterName !== undefined && input.ParameterName !== null && { ParameterName: input.ParameterName })), (input.ParameterValue !== undefined &&
        input.ParameterValue !== null && { ParameterValue: input.ParameterValue }));
};
var serializeAws_json1_1ParameterNameValueList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ParameterNameValue(entry, context);
    });
};
var serializeAws_json1_1PasswordListInput = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ReplicaConfigurationRequest = function (input, context) {
    return __assign({}, (input.ReplicaCount !== undefined && input.ReplicaCount !== null && { ReplicaCount: input.ReplicaCount }));
};
var serializeAws_json1_1ResetParameterGroupRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.AllParameters !== undefined && input.AllParameters !== null && { AllParameters: input.AllParameters })), (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName })), (input.ParameterNames !== undefined &&
        input.ParameterNames !== null && {
        ParameterNames: serializeAws_json1_1ParameterNameList(input.ParameterNames, context),
    }));
};
var serializeAws_json1_1SecurityGroupIdsList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ServiceUpdateRequest = function (input, context) {
    return __assign({}, (input.ServiceUpdateNameToApply !== undefined &&
        input.ServiceUpdateNameToApply !== null && { ServiceUpdateNameToApply: input.ServiceUpdateNameToApply }));
};
var serializeAws_json1_1ServiceUpdateStatusList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ShardConfigurationRequest = function (input, context) {
    return __assign({}, (input.ShardCount !== undefined && input.ShardCount !== null && { ShardCount: input.ShardCount }));
};
var serializeAws_json1_1SnapshotArnsList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1SubnetIdentifierList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1Tag = function (input, context) {
    return __assign(__assign({}, (input.Key !== undefined && input.Key !== null && { Key: input.Key })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1TagList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Tag(entry, context);
    });
};
var serializeAws_json1_1TagResourceRequest = function (input, context) {
    return __assign(__assign({}, (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1UntagResourceRequest = function (input, context) {
    return __assign(__assign({}, (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn })), (input.TagKeys !== undefined &&
        input.TagKeys !== null && { TagKeys: serializeAws_json1_1KeyList(input.TagKeys, context) }));
};
var serializeAws_json1_1UpdateACLRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.ACLName !== undefined && input.ACLName !== null && { ACLName: input.ACLName })), (input.UserNamesToAdd !== undefined &&
        input.UserNamesToAdd !== null && {
        UserNamesToAdd: serializeAws_json1_1UserNameListInput(input.UserNamesToAdd, context),
    })), (input.UserNamesToRemove !== undefined &&
        input.UserNamesToRemove !== null && {
        UserNamesToRemove: serializeAws_json1_1UserNameListInput(input.UserNamesToRemove, context),
    }));
};
var serializeAws_json1_1UpdateClusterRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ACLName !== undefined && input.ACLName !== null && { ACLName: input.ACLName })), (input.ClusterName !== undefined && input.ClusterName !== null && { ClusterName: input.ClusterName })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.EngineVersion !== undefined && input.EngineVersion !== null && { EngineVersion: input.EngineVersion })), (input.MaintenanceWindow !== undefined &&
        input.MaintenanceWindow !== null && { MaintenanceWindow: input.MaintenanceWindow })), (input.NodeType !== undefined && input.NodeType !== null && { NodeType: input.NodeType })), (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName })), (input.ReplicaConfiguration !== undefined &&
        input.ReplicaConfiguration !== null && {
        ReplicaConfiguration: serializeAws_json1_1ReplicaConfigurationRequest(input.ReplicaConfiguration, context),
    })), (input.SecurityGroupIds !== undefined &&
        input.SecurityGroupIds !== null && {
        SecurityGroupIds: serializeAws_json1_1SecurityGroupIdsList(input.SecurityGroupIds, context),
    })), (input.ShardConfiguration !== undefined &&
        input.ShardConfiguration !== null && {
        ShardConfiguration: serializeAws_json1_1ShardConfigurationRequest(input.ShardConfiguration, context),
    })), (input.SnapshotRetentionLimit !== undefined &&
        input.SnapshotRetentionLimit !== null && { SnapshotRetentionLimit: input.SnapshotRetentionLimit })), (input.SnapshotWindow !== undefined &&
        input.SnapshotWindow !== null && { SnapshotWindow: input.SnapshotWindow })), (input.SnsTopicArn !== undefined && input.SnsTopicArn !== null && { SnsTopicArn: input.SnsTopicArn })), (input.SnsTopicStatus !== undefined &&
        input.SnsTopicStatus !== null && { SnsTopicStatus: input.SnsTopicStatus }));
};
var serializeAws_json1_1UpdateParameterGroupRequest = function (input, context) {
    return __assign(__assign({}, (input.ParameterGroupName !== undefined &&
        input.ParameterGroupName !== null && { ParameterGroupName: input.ParameterGroupName })), (input.ParameterNameValues !== undefined &&
        input.ParameterNameValues !== null && {
        ParameterNameValues: serializeAws_json1_1ParameterNameValueList(input.ParameterNameValues, context),
    }));
};
var serializeAws_json1_1UpdateSubnetGroupRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.SubnetGroupName !== undefined &&
        input.SubnetGroupName !== null && { SubnetGroupName: input.SubnetGroupName })), (input.SubnetIds !== undefined &&
        input.SubnetIds !== null && { SubnetIds: serializeAws_json1_1SubnetIdentifierList(input.SubnetIds, context) }));
};
var serializeAws_json1_1UpdateUserRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.AccessString !== undefined && input.AccessString !== null && { AccessString: input.AccessString })), (input.AuthenticationMode !== undefined &&
        input.AuthenticationMode !== null && {
        AuthenticationMode: serializeAws_json1_1AuthenticationMode(input.AuthenticationMode, context),
    })), (input.UserName !== undefined && input.UserName !== null && { UserName: input.UserName }));
};
var serializeAws_json1_1UserNameListInput = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var deserializeAws_json1_1ACL = function (output, context) {
    return {
        ARN: __expectString(output.ARN),
        Clusters: output.Clusters !== undefined && output.Clusters !== null
            ? deserializeAws_json1_1ACLClusterNameList(output.Clusters, context)
            : undefined,
        MinimumEngineVersion: __expectString(output.MinimumEngineVersion),
        Name: __expectString(output.Name),
        PendingChanges: output.PendingChanges !== undefined && output.PendingChanges !== null
            ? deserializeAws_json1_1ACLPendingChanges(output.PendingChanges, context)
            : undefined,
        Status: __expectString(output.Status),
        UserNames: output.UserNames !== undefined && output.UserNames !== null
            ? deserializeAws_json1_1UserNameList(output.UserNames, context)
            : undefined,
    };
};
var deserializeAws_json1_1ACLAlreadyExistsFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ACLClusterNameList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ACLList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ACL(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ACLNameList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ACLNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ACLPendingChanges = function (output, context) {
    return {
        UserNamesToAdd: output.UserNamesToAdd !== undefined && output.UserNamesToAdd !== null
            ? deserializeAws_json1_1UserNameList(output.UserNamesToAdd, context)
            : undefined,
        UserNamesToRemove: output.UserNamesToRemove !== undefined && output.UserNamesToRemove !== null
            ? deserializeAws_json1_1UserNameList(output.UserNamesToRemove, context)
            : undefined,
    };
};
var deserializeAws_json1_1ACLQuotaExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ACLsUpdateStatus = function (output, context) {
    return {
        ACLToApply: __expectString(output.ACLToApply),
    };
};
var deserializeAws_json1_1APICallRateForCustomerExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Authentication = function (output, context) {
    return {
        PasswordCount: __expectInt32(output.PasswordCount),
        Type: __expectString(output.Type),
    };
};
var deserializeAws_json1_1AvailabilityZone = function (output, context) {
    return {
        Name: __expectString(output.Name),
    };
};
var deserializeAws_json1_1BatchUpdateClusterResponse = function (output, context) {
    return {
        ProcessedClusters: output.ProcessedClusters !== undefined && output.ProcessedClusters !== null
            ? deserializeAws_json1_1ClusterList(output.ProcessedClusters, context)
            : undefined,
        UnprocessedClusters: output.UnprocessedClusters !== undefined && output.UnprocessedClusters !== null
            ? deserializeAws_json1_1UnprocessedClusterList(output.UnprocessedClusters, context)
            : undefined,
    };
};
var deserializeAws_json1_1Cluster = function (output, context) {
    return {
        ACLName: __expectString(output.ACLName),
        ARN: __expectString(output.ARN),
        AutoMinorVersionUpgrade: __expectBoolean(output.AutoMinorVersionUpgrade),
        AvailabilityMode: __expectString(output.AvailabilityMode),
        ClusterEndpoint: output.ClusterEndpoint !== undefined && output.ClusterEndpoint !== null
            ? deserializeAws_json1_1Endpoint(output.ClusterEndpoint, context)
            : undefined,
        Description: __expectString(output.Description),
        EnginePatchVersion: __expectString(output.EnginePatchVersion),
        EngineVersion: __expectString(output.EngineVersion),
        KmsKeyId: __expectString(output.KmsKeyId),
        MaintenanceWindow: __expectString(output.MaintenanceWindow),
        Name: __expectString(output.Name),
        NodeType: __expectString(output.NodeType),
        NumberOfShards: __expectInt32(output.NumberOfShards),
        ParameterGroupName: __expectString(output.ParameterGroupName),
        ParameterGroupStatus: __expectString(output.ParameterGroupStatus),
        PendingUpdates: output.PendingUpdates !== undefined && output.PendingUpdates !== null
            ? deserializeAws_json1_1ClusterPendingUpdates(output.PendingUpdates, context)
            : undefined,
        SecurityGroups: output.SecurityGroups !== undefined && output.SecurityGroups !== null
            ? deserializeAws_json1_1SecurityGroupMembershipList(output.SecurityGroups, context)
            : undefined,
        Shards: output.Shards !== undefined && output.Shards !== null
            ? deserializeAws_json1_1ShardList(output.Shards, context)
            : undefined,
        SnapshotRetentionLimit: __expectInt32(output.SnapshotRetentionLimit),
        SnapshotWindow: __expectString(output.SnapshotWindow),
        SnsTopicArn: __expectString(output.SnsTopicArn),
        SnsTopicStatus: __expectString(output.SnsTopicStatus),
        Status: __expectString(output.Status),
        SubnetGroupName: __expectString(output.SubnetGroupName),
        TLSEnabled: __expectBoolean(output.TLSEnabled),
    };
};
var deserializeAws_json1_1ClusterAlreadyExistsFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ClusterConfiguration = function (output, context) {
    return {
        Description: __expectString(output.Description),
        EngineVersion: __expectString(output.EngineVersion),
        MaintenanceWindow: __expectString(output.MaintenanceWindow),
        Name: __expectString(output.Name),
        NodeType: __expectString(output.NodeType),
        NumShards: __expectInt32(output.NumShards),
        ParameterGroupName: __expectString(output.ParameterGroupName),
        Port: __expectInt32(output.Port),
        Shards: output.Shards !== undefined && output.Shards !== null
            ? deserializeAws_json1_1ShardDetails(output.Shards, context)
            : undefined,
        SnapshotRetentionLimit: __expectInt32(output.SnapshotRetentionLimit),
        SnapshotWindow: __expectString(output.SnapshotWindow),
        SubnetGroupName: __expectString(output.SubnetGroupName),
        TopicArn: __expectString(output.TopicArn),
        VpcId: __expectString(output.VpcId),
    };
};
var deserializeAws_json1_1ClusterList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Cluster(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ClusterNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ClusterPendingUpdates = function (output, context) {
    return {
        ACLs: output.ACLs !== undefined && output.ACLs !== null
            ? deserializeAws_json1_1ACLsUpdateStatus(output.ACLs, context)
            : undefined,
        Resharding: output.Resharding !== undefined && output.Resharding !== null
            ? deserializeAws_json1_1ReshardingStatus(output.Resharding, context)
            : undefined,
        ServiceUpdates: output.ServiceUpdates !== undefined && output.ServiceUpdates !== null
            ? deserializeAws_json1_1PendingModifiedServiceUpdateList(output.ServiceUpdates, context)
            : undefined,
    };
};
var deserializeAws_json1_1ClusterQuotaForCustomerExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1CopySnapshotResponse = function (output, context) {
    return {
        Snapshot: output.Snapshot !== undefined && output.Snapshot !== null
            ? deserializeAws_json1_1Snapshot(output.Snapshot, context)
            : undefined,
    };
};
var deserializeAws_json1_1CreateACLResponse = function (output, context) {
    return {
        ACL: output.ACL !== undefined && output.ACL !== null ? deserializeAws_json1_1ACL(output.ACL, context) : undefined,
    };
};
var deserializeAws_json1_1CreateClusterResponse = function (output, context) {
    return {
        Cluster: output.Cluster !== undefined && output.Cluster !== null
            ? deserializeAws_json1_1Cluster(output.Cluster, context)
            : undefined,
    };
};
var deserializeAws_json1_1CreateParameterGroupResponse = function (output, context) {
    return {
        ParameterGroup: output.ParameterGroup !== undefined && output.ParameterGroup !== null
            ? deserializeAws_json1_1ParameterGroup(output.ParameterGroup, context)
            : undefined,
    };
};
var deserializeAws_json1_1CreateSnapshotResponse = function (output, context) {
    return {
        Snapshot: output.Snapshot !== undefined && output.Snapshot !== null
            ? deserializeAws_json1_1Snapshot(output.Snapshot, context)
            : undefined,
    };
};
var deserializeAws_json1_1CreateSubnetGroupResponse = function (output, context) {
    return {
        SubnetGroup: output.SubnetGroup !== undefined && output.SubnetGroup !== null
            ? deserializeAws_json1_1SubnetGroup(output.SubnetGroup, context)
            : undefined,
    };
};
var deserializeAws_json1_1CreateUserResponse = function (output, context) {
    return {
        User: output.User !== undefined && output.User !== null ? deserializeAws_json1_1User(output.User, context) : undefined,
    };
};
var deserializeAws_json1_1DefaultUserRequired = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1DeleteACLResponse = function (output, context) {
    return {
        ACL: output.ACL !== undefined && output.ACL !== null ? deserializeAws_json1_1ACL(output.ACL, context) : undefined,
    };
};
var deserializeAws_json1_1DeleteClusterResponse = function (output, context) {
    return {
        Cluster: output.Cluster !== undefined && output.Cluster !== null
            ? deserializeAws_json1_1Cluster(output.Cluster, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeleteParameterGroupResponse = function (output, context) {
    return {
        ParameterGroup: output.ParameterGroup !== undefined && output.ParameterGroup !== null
            ? deserializeAws_json1_1ParameterGroup(output.ParameterGroup, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeleteSnapshotResponse = function (output, context) {
    return {
        Snapshot: output.Snapshot !== undefined && output.Snapshot !== null
            ? deserializeAws_json1_1Snapshot(output.Snapshot, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeleteSubnetGroupResponse = function (output, context) {
    return {
        SubnetGroup: output.SubnetGroup !== undefined && output.SubnetGroup !== null
            ? deserializeAws_json1_1SubnetGroup(output.SubnetGroup, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeleteUserResponse = function (output, context) {
    return {
        User: output.User !== undefined && output.User !== null ? deserializeAws_json1_1User(output.User, context) : undefined,
    };
};
var deserializeAws_json1_1DescribeACLsResponse = function (output, context) {
    return {
        ACLs: output.ACLs !== undefined && output.ACLs !== null
            ? deserializeAws_json1_1ACLList(output.ACLs, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1DescribeClustersResponse = function (output, context) {
    return {
        Clusters: output.Clusters !== undefined && output.Clusters !== null
            ? deserializeAws_json1_1ClusterList(output.Clusters, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1DescribeEngineVersionsResponse = function (output, context) {
    return {
        EngineVersions: output.EngineVersions !== undefined && output.EngineVersions !== null
            ? deserializeAws_json1_1EngineVersionInfoList(output.EngineVersions, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1DescribeEventsResponse = function (output, context) {
    return {
        Events: output.Events !== undefined && output.Events !== null
            ? deserializeAws_json1_1EventList(output.Events, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1DescribeParameterGroupsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        ParameterGroups: output.ParameterGroups !== undefined && output.ParameterGroups !== null
            ? deserializeAws_json1_1ParameterGroupList(output.ParameterGroups, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeParametersResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Parameters: output.Parameters !== undefined && output.Parameters !== null
            ? deserializeAws_json1_1ParametersList(output.Parameters, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeServiceUpdatesResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        ServiceUpdates: output.ServiceUpdates !== undefined && output.ServiceUpdates !== null
            ? deserializeAws_json1_1ServiceUpdateList(output.ServiceUpdates, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeSnapshotsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Snapshots: output.Snapshots !== undefined && output.Snapshots !== null
            ? deserializeAws_json1_1SnapshotList(output.Snapshots, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeSubnetGroupsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        SubnetGroups: output.SubnetGroups !== undefined && output.SubnetGroups !== null
            ? deserializeAws_json1_1SubnetGroupList(output.SubnetGroups, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeUsersResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Users: output.Users !== undefined && output.Users !== null
            ? deserializeAws_json1_1UserList(output.Users, context)
            : undefined,
    };
};
var deserializeAws_json1_1DuplicateUserNameFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Endpoint = function (output, context) {
    return {
        Address: __expectString(output.Address),
        Port: __expectInt32(output.Port),
    };
};
var deserializeAws_json1_1EngineVersionInfo = function (output, context) {
    return {
        EnginePatchVersion: __expectString(output.EnginePatchVersion),
        EngineVersion: __expectString(output.EngineVersion),
        ParameterGroupFamily: __expectString(output.ParameterGroupFamily),
    };
};
var deserializeAws_json1_1EngineVersionInfoList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EngineVersionInfo(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Event = function (output, context) {
    return {
        Date: output.Date !== undefined && output.Date !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.Date)))
            : undefined,
        Message: __expectString(output.Message),
        SourceName: __expectString(output.SourceName),
        SourceType: __expectString(output.SourceType),
    };
};
var deserializeAws_json1_1EventList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Event(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1FailoverShardResponse = function (output, context) {
    return {
        Cluster: output.Cluster !== undefined && output.Cluster !== null
            ? deserializeAws_json1_1Cluster(output.Cluster, context)
            : undefined,
    };
};
var deserializeAws_json1_1InsufficientClusterCapacityFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidACLStateFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidARNFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidClusterStateFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidCredentialsException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidKMSKeyFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidNodeStateFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidParameterCombinationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidParameterGroupStateFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidParameterValueException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidSnapshotStateFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidSubnet = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidUserStateFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidVPCNetworkStateFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ListAllowedNodeTypeUpdatesResponse = function (output, context) {
    return {
        ScaleDownNodeTypes: output.ScaleDownNodeTypes !== undefined && output.ScaleDownNodeTypes !== null
            ? deserializeAws_json1_1NodeTypeList(output.ScaleDownNodeTypes, context)
            : undefined,
        ScaleUpNodeTypes: output.ScaleUpNodeTypes !== undefined && output.ScaleUpNodeTypes !== null
            ? deserializeAws_json1_1NodeTypeList(output.ScaleUpNodeTypes, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListTagsResponse = function (output, context) {
    return {
        TagList: output.TagList !== undefined && output.TagList !== null
            ? deserializeAws_json1_1TagList(output.TagList, context)
            : undefined,
    };
};
var deserializeAws_json1_1Node = function (output, context) {
    return {
        AvailabilityZone: __expectString(output.AvailabilityZone),
        CreateTime: output.CreateTime !== undefined && output.CreateTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreateTime)))
            : undefined,
        Endpoint: output.Endpoint !== undefined && output.Endpoint !== null
            ? deserializeAws_json1_1Endpoint(output.Endpoint, context)
            : undefined,
        Name: __expectString(output.Name),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1NodeList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Node(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1NodeQuotaForClusterExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1NodeQuotaForCustomerExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1NodeTypeList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1NoOperationFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Parameter = function (output, context) {
    return {
        AllowedValues: __expectString(output.AllowedValues),
        DataType: __expectString(output.DataType),
        Description: __expectString(output.Description),
        MinimumEngineVersion: __expectString(output.MinimumEngineVersion),
        Name: __expectString(output.Name),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1ParameterGroup = function (output, context) {
    return {
        ARN: __expectString(output.ARN),
        Description: __expectString(output.Description),
        Family: __expectString(output.Family),
        Name: __expectString(output.Name),
    };
};
var deserializeAws_json1_1ParameterGroupAlreadyExistsFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ParameterGroupList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ParameterGroup(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ParameterGroupNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ParameterGroupQuotaExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ParametersList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Parameter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PendingModifiedServiceUpdate = function (output, context) {
    return {
        ServiceUpdateName: __expectString(output.ServiceUpdateName),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1PendingModifiedServiceUpdateList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PendingModifiedServiceUpdate(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ResetParameterGroupResponse = function (output, context) {
    return {
        ParameterGroup: output.ParameterGroup !== undefined && output.ParameterGroup !== null
            ? deserializeAws_json1_1ParameterGroup(output.ParameterGroup, context)
            : undefined,
    };
};
var deserializeAws_json1_1ReshardingStatus = function (output, context) {
    return {
        SlotMigration: output.SlotMigration !== undefined && output.SlotMigration !== null
            ? deserializeAws_json1_1SlotMigration(output.SlotMigration, context)
            : undefined,
    };
};
var deserializeAws_json1_1SecurityGroupMembership = function (output, context) {
    return {
        SecurityGroupId: __expectString(output.SecurityGroupId),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1SecurityGroupMembershipList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SecurityGroupMembership(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ServiceLinkedRoleNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ServiceUpdate = function (output, context) {
    return {
        AutoUpdateStartDate: output.AutoUpdateStartDate !== undefined && output.AutoUpdateStartDate !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.AutoUpdateStartDate)))
            : undefined,
        ClusterName: __expectString(output.ClusterName),
        Description: __expectString(output.Description),
        NodesUpdated: __expectString(output.NodesUpdated),
        ReleaseDate: output.ReleaseDate !== undefined && output.ReleaseDate !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ReleaseDate)))
            : undefined,
        ServiceUpdateName: __expectString(output.ServiceUpdateName),
        Status: __expectString(output.Status),
        Type: __expectString(output.Type),
    };
};
var deserializeAws_json1_1ServiceUpdateList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ServiceUpdate(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ServiceUpdateNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Shard = function (output, context) {
    return {
        Name: __expectString(output.Name),
        Nodes: output.Nodes !== undefined && output.Nodes !== null
            ? deserializeAws_json1_1NodeList(output.Nodes, context)
            : undefined,
        NumberOfNodes: __expectInt32(output.NumberOfNodes),
        Slots: __expectString(output.Slots),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1ShardConfiguration = function (output, context) {
    return {
        ReplicaCount: __expectInt32(output.ReplicaCount),
        Slots: __expectString(output.Slots),
    };
};
var deserializeAws_json1_1ShardDetail = function (output, context) {
    return {
        Configuration: output.Configuration !== undefined && output.Configuration !== null
            ? deserializeAws_json1_1ShardConfiguration(output.Configuration, context)
            : undefined,
        Name: __expectString(output.Name),
        Size: __expectString(output.Size),
        SnapshotCreationTime: output.SnapshotCreationTime !== undefined && output.SnapshotCreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.SnapshotCreationTime)))
            : undefined,
    };
};
var deserializeAws_json1_1ShardDetails = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ShardDetail(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ShardList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Shard(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ShardNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ShardsPerClusterQuotaExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SlotMigration = function (output, context) {
    return {
        ProgressPercentage: __limitedParseDouble(output.ProgressPercentage),
    };
};
var deserializeAws_json1_1Snapshot = function (output, context) {
    return {
        ARN: __expectString(output.ARN),
        ClusterConfiguration: output.ClusterConfiguration !== undefined && output.ClusterConfiguration !== null
            ? deserializeAws_json1_1ClusterConfiguration(output.ClusterConfiguration, context)
            : undefined,
        KmsKeyId: __expectString(output.KmsKeyId),
        Name: __expectString(output.Name),
        Source: __expectString(output.Source),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1SnapshotAlreadyExistsFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SnapshotList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Snapshot(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1SnapshotNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SnapshotQuotaExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Subnet = function (output, context) {
    return {
        AvailabilityZone: output.AvailabilityZone !== undefined && output.AvailabilityZone !== null
            ? deserializeAws_json1_1AvailabilityZone(output.AvailabilityZone, context)
            : undefined,
        Identifier: __expectString(output.Identifier),
    };
};
var deserializeAws_json1_1SubnetGroup = function (output, context) {
    return {
        ARN: __expectString(output.ARN),
        Description: __expectString(output.Description),
        Name: __expectString(output.Name),
        Subnets: output.Subnets !== undefined && output.Subnets !== null
            ? deserializeAws_json1_1SubnetList(output.Subnets, context)
            : undefined,
        VpcId: __expectString(output.VpcId),
    };
};
var deserializeAws_json1_1SubnetGroupAlreadyExistsFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SubnetGroupInUseFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SubnetGroupList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SubnetGroup(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1SubnetGroupNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SubnetGroupQuotaExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SubnetInUse = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SubnetList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Subnet(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1SubnetNotAllowedFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1SubnetQuotaExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Tag = function (output, context) {
    return {
        Key: __expectString(output.Key),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1TagList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Tag(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TagNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1TagQuotaPerResourceExceeded = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1TagResourceResponse = function (output, context) {
    return {
        TagList: output.TagList !== undefined && output.TagList !== null
            ? deserializeAws_json1_1TagList(output.TagList, context)
            : undefined,
    };
};
var deserializeAws_json1_1TestFailoverNotAvailableFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1UnprocessedCluster = function (output, context) {
    return {
        ClusterName: __expectString(output.ClusterName),
        ErrorMessage: __expectString(output.ErrorMessage),
        ErrorType: __expectString(output.ErrorType),
    };
};
var deserializeAws_json1_1UnprocessedClusterList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1UnprocessedCluster(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1UntagResourceResponse = function (output, context) {
    return {
        TagList: output.TagList !== undefined && output.TagList !== null
            ? deserializeAws_json1_1TagList(output.TagList, context)
            : undefined,
    };
};
var deserializeAws_json1_1UpdateACLResponse = function (output, context) {
    return {
        ACL: output.ACL !== undefined && output.ACL !== null ? deserializeAws_json1_1ACL(output.ACL, context) : undefined,
    };
};
var deserializeAws_json1_1UpdateClusterResponse = function (output, context) {
    return {
        Cluster: output.Cluster !== undefined && output.Cluster !== null
            ? deserializeAws_json1_1Cluster(output.Cluster, context)
            : undefined,
    };
};
var deserializeAws_json1_1UpdateParameterGroupResponse = function (output, context) {
    return {
        ParameterGroup: output.ParameterGroup !== undefined && output.ParameterGroup !== null
            ? deserializeAws_json1_1ParameterGroup(output.ParameterGroup, context)
            : undefined,
    };
};
var deserializeAws_json1_1UpdateSubnetGroupResponse = function (output, context) {
    return {
        SubnetGroup: output.SubnetGroup !== undefined && output.SubnetGroup !== null
            ? deserializeAws_json1_1SubnetGroup(output.SubnetGroup, context)
            : undefined,
    };
};
var deserializeAws_json1_1UpdateUserResponse = function (output, context) {
    return {
        User: output.User !== undefined && output.User !== null ? deserializeAws_json1_1User(output.User, context) : undefined,
    };
};
var deserializeAws_json1_1User = function (output, context) {
    return {
        ACLNames: output.ACLNames !== undefined && output.ACLNames !== null
            ? deserializeAws_json1_1ACLNameList(output.ACLNames, context)
            : undefined,
        ARN: __expectString(output.ARN),
        AccessString: __expectString(output.AccessString),
        Authentication: output.Authentication !== undefined && output.Authentication !== null
            ? deserializeAws_json1_1Authentication(output.Authentication, context)
            : undefined,
        MinimumEngineVersion: __expectString(output.MinimumEngineVersion),
        Name: __expectString(output.Name),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1UserAlreadyExistsFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1UserList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1User(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1UserNameList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1UserNotFoundFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1UserQuotaExceededFault = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeMetadata = function (output) {
    var _a;
    return ({
        httpStatusCode: output.statusCode,
        requestId: (_a = output.headers["x-amzn-requestid"]) !== null && _a !== void 0 ? _a : output.headers["x-amzn-request-id"],
        extendedRequestId: output.headers["x-amz-id-2"],
        cfId: output.headers["x-amz-cf-id"],
    });
};
var collectBody = function (streamBody, context) {
    if (streamBody === void 0) { streamBody = new Uint8Array(); }
    if (streamBody instanceof Uint8Array) {
        return Promise.resolve(streamBody);
    }
    return context.streamCollector(streamBody) || Promise.resolve(new Uint8Array());
};
var collectBodyString = function (streamBody, context) {
    return collectBody(streamBody, context).then(function (body) { return context.utf8Encoder(body); });
};
var buildHttpRpcRequest = function (context, headers, path, resolvedHostname, body) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, contents;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                contents = {
                    protocol: protocol,
                    hostname: hostname,
                    port: port,
                    method: "POST",
                    path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
                    headers: headers,
                };
                if (resolvedHostname !== undefined) {
                    contents.hostname = resolvedHostname;
                }
                if (body !== undefined) {
                    contents.body = body;
                }
                return [2, new __HttpRequest(contents)];
        }
    });
}); };
var parseBody = function (streamBody, context) {
    return collectBodyString(streamBody, context).then(function (encoded) {
        if (encoded.length) {
            return JSON.parse(encoded);
        }
        return {};
    });
};
var loadRestJsonErrorCode = function (output, data) {
    var findKey = function (object, key) { return Object.keys(object).find(function (k) { return k.toLowerCase() === key.toLowerCase(); }); };
    var sanitizeErrorCode = function (rawValue) {
        var cleanValue = rawValue;
        if (cleanValue.indexOf(":") >= 0) {
            cleanValue = cleanValue.split(":")[0];
        }
        if (cleanValue.indexOf("#") >= 0) {
            cleanValue = cleanValue.split("#")[1];
        }
        return cleanValue;
    };
    var headerKey = findKey(output.headers, "x-amzn-errortype");
    if (headerKey !== undefined) {
        return sanitizeErrorCode(output.headers[headerKey]);
    }
    if (data.code !== undefined) {
        return sanitizeErrorCode(data.code);
    }
    if (data["__type"] !== undefined) {
        return sanitizeErrorCode(data["__type"]);
    }
    return "";
};
